diff -r a53c6d7f6ae2 mule-packages/leim/.hgtags
--- a/mule-packages/leim/.hgtags	Sat Sep 03 14:42:12 2011 +0200
+++ b/mule-packages/leim/.hgtags	Wed Jun 19 10:57:06 2013 -0600
@@ -71,3 +71,4 @@
 e8cf09b4931898b4704f660a411f5ec87dad184a sumo-2006-05-10
 00d21883c4bbc587b206790e97636d7590f65ad7 sumo-2007-04-27
 11e3d2e0cacf8453b68a4c01cb01ab3f27772b71 sumo-2003-10-03
+75090509937871acd544872877fc82edf595539a leim-1_33
diff -r a53c6d7f6ae2 mule-packages/leim/ChangeLog
--- a/mule-packages/leim/ChangeLog	Sat Sep 03 14:42:12 2011 +0200
+++ b/mule-packages/leim/ChangeLog	Wed Jun 19 10:57:06 2013 -0600
@@ -1,3 +1,37 @@
+2011-10-18  Norbert Koch  <viteno@xemacs.org>
+
+	* Makefile (VERSION): XEmacs package 1.33 released.
+
+2011-06-18  Aidan Kehoe  <kehoea@parhasard.net>
+
+	* leim-list.el: Update to reflect new input method names.
+
+	* quail/ipa-21.5.el:
+	Sync these changes from GNU:
+
+    2009-08-31  Juri Linkov  <juri@jurta.org>
+    
+	* quail/ipa.el ("ipa"): Set `forget-last-selection' to nil.
+	("ipa-x-sampa"): Set `forget-last-selection' to nil.
+	Set `deterministic' to nil.
+	("ipa"): Bind "g" to U+0261, and "tsh" to a list of "U+02A7",
+	"U+0074 U+0283", "U+0074 U+2040 U+0283".
+	("ipa-kirshenbaum", ipa-x-sampa"): Bind "g" to U+0261, and "tS"
+	to a list of "U+02A7", "U+0074 U+0283", "U+0074 U+2040 U+0283".
+	Fix comments.
+    
+    2009-08-31  Juri Linkov  <juri@jurta.org>
+    
+	* quail/ipa.el ("ipa-kirshenbaum"): Rename from "kirshenbaum-ipa".
+	("ipa-x-sampa"): Rename from "x-sampa-ipa".
+	(ipa-x-sampa-implosive-submap): Rename from
+	x-sampa-implosive-submap.
+	(ipa-x-sampa-prepend-to-keymap-entry): Rename from
+	x-sampa-prepend-to-keymap-entry.
+	(ipa-x-sampa-underscore-implosive): Rename from
+	x-sampa-underscore-implosive.
+	(ipa-x-sampa-implosive-submap): Move before first use.
+
 2010-09-05  Norbert Koch  viteno@xemacs.org
 
 	* Makefile (VERSION): XEmacs package 1.32 released.
diff -r a53c6d7f6ae2 mule-packages/leim/Makefile
--- a/mule-packages/leim/Makefile	Sat Sep 03 14:42:12 2011 +0200
+++ b/mule-packages/leim/Makefile	Wed Jun 19 10:57:06 2013 -0600
@@ -17,7 +17,7 @@
 # the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 # Boston, MA 02111-1307, USA.
 
-VERSION = 1.32
+VERSION = 1.33
 AUTHOR_VERSION =
 MAINTAINER = XEmacs Development Team <xemacs-beta@xemacs.org>
 PACKAGE = leim
diff -r a53c6d7f6ae2 mule-packages/leim/leim-list.el
--- a/mule-packages/leim/leim-list.el	Sat Sep 03 14:42:12 2011 +0200
+++ b/mule-packages/leim/leim-list.el	Wed Jun 19 10:57:06 2013 -0600
@@ -422,6 +422,16 @@
    "International Phonetic Alphabet, X-SAMPA ASCII transliteration."
    "ipa-21.5")
   (register-input-method
+   "ipa-kirshenbaum" "IPA" 'quail-use-package
+   "IPA-K"
+   "International Phonetic Alphabet, Kirshenbaum ASCII transliteration."
+   "ipa-21.5")
+  (register-input-method
+   "ipa-x-sampa" "IPA" 'quail-use-package
+   "IPA-S"
+   "International Phonetic Alphabet, X-SAMPA ASCII transliteration."
+   "ipa-21.5")
+  (register-input-method
    "ipa" "IPA" 'quail-use-package
    "IPA"
    "International Phonetic Alphabet for English, French, German and Italian"
diff -r a53c6d7f6ae2 mule-packages/leim/quail/ipa-21.5.el
--- a/mule-packages/leim/quail/ipa-21.5.el	Sat Sep 03 14:42:12 2011 +0200
+++ b/mule-packages/leim/quail/ipa-21.5.el	Wed Jun 19 10:57:06 2013 -0600
@@ -1,17 +1,20 @@
-;;; quail/ipa.el -- Quail package for inputting IPA. -*- coding: utf-8 -*- 
-;;; 
-;; Copyright (C) 1997 Electrotechnical Laboratory, JAPAN.
-;; Copyright (C) 2006 Free Software Foundation, Inc.
+;;; ipa.el --- Quail package for inputting IPA characters  -*-coding: utf-8;-*-
+
+;; Copyright (C) 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
+;;   2006, 2007, 2008, 2009, 2010, 2011
+;;   National Institute of Advanced Industrial Science and Technology (AIST)
+;;   Registration Number H14PRO021
 ;; Licensed to the Free Software Foundation.
+;; Copyright (C) 2009-2011 Free Software Foundation, Inc.
 
 ;; Keywords: multilingual, input method, IPA
 
 ;; This file is part of XEmacs.
 
-;; XEmacs is free software; you can redistribute it and/or modify
+;; XEmacs is free software: you can redistribute it and/or modify
 ;; it under the terms of the GNU General Public License as published by
-;; the Free Software Foundation; either version 2, or (at your option)
-;; any later version.
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
 
 ;; XEmacs is distributed in the hope that it will be useful,
 ;; but WITHOUT ANY WARRANTY; without even the implied warranty of
@@ -19,19 +22,19 @@
 ;; GNU General Public License for more details.
 
 ;; You should have received a copy of the GNU General Public License
-;; along with XEmacs; see the file COPYING.  If not, write to the
-;; Free Software Foundation, Inc., 59 Temple Place - Suite 330,
-;; Boston, MA 02110-1301, USA
+;; along with XEmacs.  If not, see <http://www.gnu.org/licenses/>.
 
-;;; Synched up with: FSF 22.0.50.6
+;;; Synched up with: last FSF of 2009-08-31.
 
 ;; This file is ipa.el, but re-encoded to UTF-8, and greatly expanded to
 ;; support the common ASCII transliterations of the IPA.
 
+;;; Commentary:
+
 ;;; Code:
 
 (require 'quail)
-(require 'cl)
+(eval-when-compile (require 'cl))
 
 ;; This file breaks with 21.4 and early 21.5. It should be merged with
 ;; ipa.el when 21.4 is declared obsolete.
@@ -44,7 +47,7 @@
  "International Phonetic Alphabet for English, French, German and Italian
 
 Upside-down characters are obtained by a preceding slash (/)."
- nil t nil nil nil nil nil nil nil nil t)
+ nil nil nil nil nil nil nil nil nil nil t)
 
 (quail-define-rules
  ("i" ?i)
@@ -87,7 +90,7 @@
  ("t" ?t)
  ("d" ?d)
  ("k" ?k)
- ("g" ?g)
+ ("g" ?ɡ)
  ("f" ?f)
  ("v" ?v)
  ("th" ?θ)
@@ -95,6 +98,7 @@
  ("s" ?s)
  ("z" ?z)
  ("sh" ?ʃ)
+ ("tsh" ["ʧ" "tʃ" "t⁀ʃ"])
  ("zh" ?ʒ)
  ("3" ?ʒ)
  ("c," ?ç)
@@ -120,8 +124,8 @@
  (":" ?ː))
 
 (quail-define-package
- "kirshenbaum-ipa" "IPA" "IPA-K" t
- "The International Phonetic Alphabet, using Kirshenbaum ASCII translit. 
+ "ipa-kirshenbaum" "IPA" "IPA-K" t
+ "The International Phonetic Alphabet, using Kirshenbaum ASCII translit.
 
 Kirshenbaum IPA is an ASCII transliteration of the phonetic alphabet, common
 in the Usenet groups `sci.lang' and `alt.usage.english'.  This input method
@@ -133,13 +137,13 @@
 
 A caveat with regard to that document; while XEmacs currently preserves
 Unicode diacritics on reading and emitting them, it displays them,
-incorrectly, as separate from the modified glyphs. ")
+incorrectly, as separate from the modified glyphs.")
 
 (quail-define-rules
+ ("g" "ɡ")	;; Voiced velar plosive			U+0261
  ("r" "ɹ")	;; Alveolar approximant			U+0279
  ("A" "ɑ")	;; Low back unrounded vowel		U+0251
- ("B" "β")	;
-  ; Voiced bilabial fricative		U+03B2
+ ("B" "β")	;; Voiced bilabial fricative		U+03B2
  ("C" "ç")	;; Voiced palatal fricative		U+00E7
  ("D" "ð")	;; Voiced dental fricative		U+00F0
  ("E" "ɛ")	;; Lower-mid front unrounded vowel	U+025B
@@ -158,8 +162,11 @@
  ("R" ["ʀ"	;; Alveolar trill			U+0280
        "ɚ"])    ;; Rhotacised schwa			U+025A
  ("@<r>" "ɚ")	;; Mid central rhotacised vowel		U+025A
- ("S" "ʃ")	;; Voiced postalveolar fricative	U+0283
- ("T" "θ")	;; Voiced dental fricative		U+03B8
+ ("S" "ʃ")	;; Voiceless postalveolar fricative	U+0283
+ ("tS" ["ʧ"	;; Voiceless postalveolar affricate	U+02A7
+	"tʃ"	;;                               U+0074 U+0283
+	"t⁀ʃ"]) ;;                        U+0074 U+2040 U+0283
+ ("T" "θ")	;; Voiceless dental fricative		U+03B8
  ("U" "ʊ")	;; Semi-high back rounded vowel		U+028A
  ("V" "ʌ")	;; Low-mid back unrounded vowel		U+028C
  ("W" "œ")	;; Low-mid front rounded vowel		U+0153
@@ -218,13 +225,13 @@
  ("j<vel>" "ɰ")	;; Velar approximant			U+0270
  ("g`" "ɠ")	;; Velar implosive			U+0260
  ("k!" "ʞ")	;; Velar click				U+029E
- 
+
  ("n<lbv>" ["n⁀g"]) ;; Labio-velar nasal
  ("t<lbv>" ["k⁀p"]) ;; Voiceless labio-velar stop
 
  ;; "n<lbv> for "gb" WITH U+2030 CHARACTER TIE was ambiguous and
- ;; misleading. I _believe_ this is what was meant instead. 
- ("d<lbv>" ["g⁀b"]) ;; Voiced labio-velar stop. 
+ ;; misleading. I _believe_ this is what was meant instead.
+ ("d<lbv>" ["g⁀b"]) ;; Voiced labio-velar stop.
 
  ("w<vls>" "ʍ")	;; Voiceless labio-velar stop		U+028D
  ("n\"" "ɴ")	;; Uvular nasal				U+0274
@@ -250,36 +257,49 @@
  ("o-" "ɤ")	;; Upper-mid back unrounded vowel	U+0264
  ("A." "ɒ"))	;; Lower back rounded vowel		U+0252
 
+
+(defconst ipa-x-sampa-implosive-submap
+  '(("b_<"   ?ɓ)   ;; Voiced bilabial implosive U+0253
+    ("d_<"   ?ɗ)   ;; Voiced alveolar implosive U+0257
+    ("g_<"   ?ɠ)   ;; Voiced velar implosive    U+0260
+    ("G\\_<" ?ʛ)   ;; Voiced uvular implosive   U+029B
+    ("J\\_<" ?ʄ))  ;; Voiced palatal implosive  U+0284
+  "A map from the X-SAMPA for some implosive consonants to characters.
+This is used because their X-SAMPA syntax is quasi-diacritic, but the
+corresponding Unicode characters themselves don't have diacritics, they are
+separate code points.  So we need to implement some extra logic that isn't
+normally provided by Quail.")
+
 ;; On XEmacs, with the supplied X-SAMPA data, this function is capably
-;; implemented with: 
+;; implemented with:
 ;;
 ;;   (list (vector (concat to-prepend quail-keymap)))
-;; 
-;; Supporting GNU Emacs too makes it a good deal more complicated. 
+;;
+;; Supporting GNU Emacs too makes it a good deal more complicated.
 
-(defun x-sampa-prepend-to-keymap-entry (to-prepend quail-keymap)
+(defun ipa-x-sampa-prepend-to-keymap-entry (to-prepend quail-keymap)
   "Return QUAIL-KEYMAP with TO-PREPEND at the beginning of each result.
 
 QUAIL-KEYMAP is a cons that satisfies `quail-map-p'; TO-PREPEND is a
-string.  "
+string."
   (when (consp quail-keymap) (setq quail-keymap (cdr quail-keymap)))
-  (if (or (integerp quail-keymap) 
+  (if (or (integerp quail-keymap)
 	  (and (fboundp 'characterp) (characterp quail-keymap)))
       (setq quail-keymap (list (string quail-keymap)))
     (if (stringp quail-keymap)
 	(setq quail-keymap (list quail-keymap))
       (assert (vectorp quail-keymap) t)
       (setq quail-keymap (append quail-keymap nil))))
-  (list 
-   (apply 'vector 
-	  (mapcar 
+  (list
+   (apply 'vector
+	  (mapcar
 	   #'(lambda (entry)
                (assert (char-or-string-p entry) t)
-               (format "%s%s" to-prepend 
+               (format "%s%s" to-prepend
                        (if (integerp entry) (string entry) entry)))
 	   quail-keymap))))
 
-(defun x-sampa-underscore-implosive (input-string length)
+(defun ipa-x-sampa-underscore-implosive (input-string length)
   "Return keymap with IPA implosives, for INPUT-STRING, length LENGTH.
 
 The implosive consonants in X-SAMPA are represented with more or less a
@@ -292,14 +312,14 @@
 
 Like all `quail-defrule'-assigned functions, this will be called once for
 each particular sequence of keys, the first time the user types that
-particular sequence of keys, and the result will be cached by Quail. "
+particular sequence of keys, and the result will be cached by Quail."
   (let* ((input-string (substring input-string 0 (or length)))
 	 (underscore-map (copy-tree (quail-lookup-key "_")))
 	 (split-input (split-string input-string "_"))
 	 (pre-underscore (car split-input))
 	 (pre-underscore-map (quail-lookup-key pre-underscore))
-	 (x-sampa-submap-entry 
-	  (assoc (format "%s<" input-string) x-sampa-implosive-submap))
+	 (x-sampa-submap-entry
+	  (assoc (format "%s<" input-string) ipa-x-sampa-implosive-submap))
 	 underscore-map-entry)
     (if (and (consp pre-underscore-map) (car pre-underscore-map))
 	(setq pre-underscore-map (car pre-underscore-map))
@@ -310,21 +330,21 @@
       (cond ((null underscoring))
 	    ((eq (length underscoring) 2)
 	     (setq underscore-map-entry (second underscoring))
-	     (setcdr underscoring (x-sampa-prepend-to-keymap-entry 
+	     (setcdr underscoring (ipa-x-sampa-prepend-to-keymap-entry
 				   pre-underscore-map underscore-map-entry)))
 	    ((eq (length underscoring) 3)
 	     (setq underscore-map-entry (second (third underscoring)))
-	     (setcdr (third underscoring) 
-		     (x-sampa-prepend-to-keymap-entry 
+	     (setcdr (third underscoring)
+		     (ipa-x-sampa-prepend-to-keymap-entry
 		      pre-underscore-map underscore-map-entry)))
-	    (t 
-	     (assert (null t) t 
+	    (t
+	     (assert (null t) t
 		     "Can't handle subtrees of this level right now."))))
     (append underscore-map (list (list ?< (second x-sampa-submap-entry))))))
 
 (quail-define-package
- "x-sampa-ipa" "IPA" "IPA-X" t
- "The International Phonetic Alphabet, using J.C. Wells' X-SAMPA. 
+ "ipa-x-sampa" "IPA" "IPA-X" t
+ "The International Phonetic Alphabet, using J.C. Wells' X-SAMPA.
 
 X-SAMPA is an ASCII transliteration of the IPA, normally used for data
 exchange in environments where Unicode is not available.  This input method
@@ -334,18 +354,14 @@
 See http://www.phon.ucl.ac.uk/home/sampa/ipasam-x.pdf for a full definition
 of the mapping. A caveat with regard to that document; while XEmacs
 currently preserves Unicode diacritics on reading and emitting them, it
-displays them, incorrectly, as separate from the modified glyphs. " nil t t)
+displays them, incorrectly, as separate from the modified glyphs.")
 
 (quail-define-rules
  ;; Table taken from http://en.wikipedia.org/wiki/X-SAMPA, checked with
  ;; http://www.phon.ucl.ac.uk/home/sampa/ipasam-x.pdf
 
  ("d`" "ɖ")	;; Voiced retroflex plosive		U+0256
-
- ;; In the Wikipedia article, they list ASCII g as mapping to U+0261, LATIN
- ;; SMALL LETTER SCRIPT G. The typeset g is equally acceptable as the voiced
- ;; velar plosive, however, and we don't override the identity mapping here.
-
+ ("g" "ɡ")	;; Voiced velar plosive			U+0261
  ("h\\" "ɦ")	;; Voiced glottal fricative		U+0266
  ("j\\" "ʝ")	;; Voiced palatal fricative		U+029D
  ("l`" "ɭ")	;; Retroflex lateral approximant	U+026D
@@ -392,6 +408,9 @@
  ("R" "ʁ")	;; Voiced uvular fricative		U+0281
  ("R\\" "ʀ")	;; Uvular trill				U+0280
  ("S" "ʃ")	;; Voiceless postalveolar fricative	U+0283
+ ("tS" ["ʧ"	;; Voiceless postalveolar affricate	U+02A7
+	"tʃ"	;;                               U+0074 U+0283
+	"t⁀ʃ"]) ;;                        U+0074 U+2040 U+0283
  ("T" "θ")	;; Voiceless dental fricative		U+03B8
  ("U" "ʊ")	;; Near-close near-back rounded vowel	U+028A
  ("U\\" ["ʊ̵"])	;; Central lax close rounded vowel, U+028A U+0335
@@ -424,11 +443,11 @@
  ("&" "ɶ")	;; Open front rounded vowel		U+0276
  ("?" "ʔ")	;; Glottal stop				U+0294
  ("?\\" "ʕ")	;; Voiced pharyngeal fricative		U+0295
- ;; The undefined escape character, ignored. 
+ ;; The undefined escape character, ignored.
  ;; Indeterminacy in French vowels, ignored.
- ;; Begin nonsegmental notation, ignored. 
+ ;; Begin nonsegmental notation, ignored.
  ("<\\" "ʢ")	;; Voiced epiglottal fricative		U+02A2
- ;; End nonsegmental notation, ignored. 
+ ;; End nonsegmental notation, ignored.
  (">\\" "ʡ")	;; Epiglottal plosive			U+02A1
  ("^" "↑")	;; Upstep				U+2191
  ("!" "↓")	;; Downstep				U+2193
@@ -486,9 +505,9 @@
  ("_O" "̹")	;; More rounded				U+0339
  ("_o" "̞")	;; Lowered				U+031E
  ("_q" "̙")	;; Retracted tongue root		U+0319
- ("<R>" "↗")	;; NORTH EAST ARROW; may be a bit smaller than intended. 
+ ("<R>" "↗")	;; NORTH EAST ARROW; may be a bit smaller than intended.
  ("_R" "̌")     ;; Haček, caron, rising tone.		U+030C
- ;; _R_F omitted, apparently there's no corresponding Unicode entry. 
+ ;; _R_F omitted, apparently there's no corresponding Unicode entry.
  ("_r" "̝")	;; Raised				U+031D
  ("_T" "̋")	;; Extra high tone			U+030B
  ("_t" "̤")	;; Breathy voice			U+0324
@@ -497,27 +516,24 @@
  ("_X" "̆")	;; Extra-short				U+0306
  ("_x" "̽"))	;; Mid-centralised			U+033D
 
-(defconst x-sampa-implosive-submap 
-  '(("b_<"   ?ɓ)   ;; Voiced bilabial implosive U+0253 
-    ("d_<"   ?ɗ)   ;; Voiced alveolar implosive U+0257
-    ("g_<"   ?ɠ)   ;; Voiced velar implosive    U+0260
-    ("G\\_<" ?ʛ)   ;; Voiced uvular implosive   U+029B
-    ("J\\_<" ?ʄ))  ;; Voiced palatal implosive  U+0284
-  "A map from the X-SAMPA for some implosive consonants to characters.
-This is used because their X-SAMPA syntax is quasi-diacritic, but the
-corresponding Unicode characters themselves don't have diacritics, they are
-separate code points.  So we need to implement some extra logic that isn't
-normally provided by Quail. ")
-
 ;; Putting in place rules for the implosives like for the others above
 ;; breaks the "_<diacritic>" rules for b, d, g, G and J a little--you need
 ;; to interrupt Quail before typing the underscore if you want the
 ;; diacritic. To avoid this, handle the input specially with the function
-;; x-sampa-underscore-implosive.
+;; ipa-x-sampa-underscore-implosive.
 
-(dolist (implosive-x-sampa (mapcar 'car x-sampa-implosive-submap))
+(dolist (implosive-x-sampa (mapcar 'car ipa-x-sampa-implosive-submap))
   (setq implosive-x-sampa (car (split-string implosive-x-sampa "_")))
   (quail-defrule (format "%s_" implosive-x-sampa)
-		 'x-sampa-underscore-implosive))
+		 'ipa-x-sampa-underscore-implosive))
 
-(provide 'ipa)
+;; XEmacs; add the original names for the Kirshenbaum and X-SAMPA maps as
+;; aliases.
+
+(setq quail-package-alist
+      `(("x-sampa-ipa" . ,(cdr (assoc "ipa-x-sampa" quail-package-alist)))
+        ("kirshenbaum-ipa" . ,(cdr (assoc "ipa-kirshenbaum"
+                                          quail-package-alist)))
+        ,@quail-package-alist))
+
+;;; ipa.el ends here
diff -r 48d1fe7ef065 xemacs-packages/build/build.texi
--- a/xemacs-packages/build/build.texi	Sat Sep 03 14:43:26 2011 +0200
+++ b/xemacs-packages/build/build.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -79,7 +79,7 @@
 * Concept Index::                     An item for each concept
 @end menu
 
-@node Build Overview, Build Installation, Top, (dir)
+@node Build Overview, Build Installation, Top, Top
 @comment node-name,     next,          previous, up
 @chapter Build Overview
 @cindex What build is
@@ -114,7 +114,7 @@
 or Microsoft Tools (@code{nmake} with command-line options (<= 21.2-b32)
 or @file{config.inc} configuration file (> 21.2-b32)).
 
-@node Build Installation, Build XEmacs, Build Overview, (dir)
+@node Build Installation, Build XEmacs, Build Overview, Top
 @comment node-name,     next,          previous, up
 @chapter Build Installation
 @cindex How to install build
diff -r fd24c013f5a9 xemacs-packages/cc-mode/cc-mode.texi
--- a/xemacs-packages/cc-mode/cc-mode.texi	Mon Jun 03 20:45:33 2013 +0200
+++ b/xemacs-packages/cc-mode/cc-mode.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -193,7 +193,7 @@
 
 @center @titlefont{CC Mode 5.32}
 @sp 2
-@center @subtitlefont{A GNU Emacs mode for editing C and C-like languages}
+@center A GNU Emacs mode for editing C and C-like languages
 @sp 2
 @center Barry A. Warsaw, Martin Stjernholm, Alan Mackenzie
 
diff -r 87dd21fac17e xemacs-packages/clearcase/clearcase.texi
--- a/xemacs-packages/clearcase/clearcase.texi	Sat Sep 03 14:43:56 2011 +0200
+++ b/xemacs-packages/clearcase/clearcase.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -73,7 +73,7 @@
 * Concept Index::                     An item for each concept
 @end menu
 
-@node Clearcase Overview, Clearcase Installation, Top, (dir)
+@node Clearcase Overview, Clearcase Installation, Top, Top
 @comment node-name,     next,          previous, up
 @chapter Clearcase Overview
 @cindex What is clearcase?
@@ -107,7 +107,7 @@
 When you begin editing in any view-context, a ClearCase menu will appear
 and ClearCase Minor Mode will be activated for you.
 
-@node Clearcase Installation, Known Problems of Clearcase, Clearcase Overview, (dir)
+@node Clearcase Installation, Known Problems of Clearcase, Clearcase Overview, Top
 @comment node-name,     next,          previous, up
 @chapter Clearcase Installation
 @cindex How to install clearcase
diff -r 5200706cfcb5 xemacs-packages/ede/ede-simple.el
--- a/xemacs-packages/ede/ede-simple.el	Tue Jan 10 14:52:40 2012 +0100
+++ b/xemacs-packages/ede/ede-simple.el	Wed Jun 19 10:57:06 2013 -0600
@@ -43,7 +43,8 @@
 	      :name "Simple" :file 'ede-simple
 	      :proj-file 'ede-simple-projectfile-for-dir
 	      :load-type 'ede-simple-load
-	      :class-sym 'ede-simple-project)
+	      :class-sym 'ede-simple-project
+	      :safe-p nil)
 	     t)
 
 (defcustom ede-simple-save-directory "~/.ede"
diff -r 5200706cfcb5 xemacs-packages/ede/ede.el
--- a/xemacs-packages/ede/ede.el	Tue Jan 10 14:52:40 2012 +0100
+++ b/xemacs-packages/ede/ede.el	Wed Jun 19 10:57:06 2013 -0600
@@ -95,6 +95,41 @@
   :group 'ede
   :type 'sexp) ; make this be a list of options some day
 
+(defcustom ede-project-directories nil
+  "Directories in which EDE may search for project files.
+If the value is t, EDE may search in any directory.
+
+If the value is a function, EDE calls that function with one
+argument, the directory name; the function should return t iff
+EDE should look for project files in the directory.
+
+Otherwise, the value should be a list of fully-expanded directory
+names.  EDE searches for project files only in those directories.
+If you invoke the commands \\[ede] or \\[ede-new] on a directory
+that is not listed, Emacs will offer to add it to the list.
+
+Any other value disables searching for EDE project files."
+  :group 'ede
+  :type '(choice (const :tag "Any directory" t)
+		 (repeat :tag "List of directories" (directory))
+		 (function :tag "Predicate"))
+  :version "23.4"
+  :risky t)
+
+(defun ede-directory-safe-p (dir)
+  "Return non-nil if DIR is a safe directory to load projects from.
+Projects that do not load a project definition as Emacs Lisp code
+are safe, and can be loaded automatically.  Other project types,
+such as those created with Project.ede files, are safe only if
+specified by `ede-project-directories'."
+  (setq dir (directory-file-name (expand-file-name dir)))
+  ;; Load only if allowed by `ede-project-directories'.
+  (or (eq ede-project-directories t)
+      (and (functionp ede-project-directories)
+	   (funcall ede-project-directories dir))
+      (and (listp ede-project-directories)
+	   (member dir ede-project-directories))))
+
 (require 'eieio)
 (require 'eieio-speedbar)
 
@@ -122,6 +157,13 @@
 	  :initform t
 	  :documentation
 	  "Non-nil if this is an option when a user creates a project.")
+   (safe-p :initarg :safe-p
+	   :initform t
+	   :documentation
+	   "Non-nil if the project load files are \"safe\".
+An unsafe project is one that loads project variables via Emacs
+Lisp code.  A safe project is one that loads project variables by
+scanning files without loading Lisp code from them.")
    )
   "Class representing minimal knowledge set to run preliminary EDE functions.
 When more advanced functionality is needed from a project type, that projects
@@ -133,13 +175,15 @@
 			 :name "Make" :file 'ede-proj
 			 :proj-file "Project.ede"
 			 :load-type 'ede-proj-load
-			 :class-sym 'ede-proj-project)
+			 :class-sym 'ede-proj-project
+			 :safe-p nil)
    (ede-project-autoload "edeproject-automake"
 			 :name "Automake" :file 'ede-proj
 			 :proj-file "Project.ede"
 			 :initializers '(:makefile-type Makefile.am)
 			 :load-type 'ede-proj-load
-			 :class-sym 'ede-proj-project)
+			 :class-sym 'ede-proj-project
+			 :safe-p nil)
    (ede-project-autoload "automake"
 			 :name "automake" :file 'project-am
 			 :proj-file "Makefile.am"
@@ -147,7 +191,9 @@
 			 :class-sym 'project-am-makefile
 			 :new-p nil)
    )
-  "List of vectos defining how to determine what type of projects exist.")
+  "List of vectors defining how to determine what type of projects exist.")
+
+(put 'ede-project-class-files 'risky-local-variable t)
 
 ;;; AUTOLOADS
 ;;
@@ -1349,6 +1395,20 @@
 	 )
     (and (file-exists-p f) f)))
 
+(defmethod ede-auto-load-project ((this ede-project-autoload) dir)
+  "Load in the project associated with THIS project autoload description.
+THIS project description should be valid for DIR, where the project will
+be loaded."
+  ;; Last line of defense: don't load unsafe projects.
+  (when (not (or (oref this :safe-p)
+		 (ede-directory-safe-p dir)))
+    (error "Attempt to load an unsafe project (bug elsewhere in EDE)"))
+  ;; Things are good - so load the project.
+  (let ((o (funcall (oref this load-type) dir)))
+    (when (not o)
+      (error "Project type error: :load-type failed to create a project"))
+    (ede-add-project-to-global-list o)))
+
 ;;; EDE basic functions
 ;;
 (defun ede-directory-project-p (dir)
diff -r 73360c2969ec xemacs-packages/efs/efs.texi
--- a/xemacs-packages/efs/efs.texi	Sat Sep 03 14:45:18 2011 +0200
+++ b/xemacs-packages/efs/efs.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -42,13 +42,13 @@
 @end ifinfo
 
 @titlepage
-@sp5
+@sp 5
 @center @titlefont{EFS}
 @center version 1.20
-@sp2
+@sp 2
 @center A transparent remote file system, by Sandy Rutherford, Andy
 Norman, and Mike Sperber
-@sp7
+@sp 7
 @center This documentation based on ange-ftp documentation by David Smith
 @center and on documentation in the EFS source code
 @center It was put together by Mike Sperber.
diff -r b4507a485733 xemacs-packages/elib/elib.texi
--- a/xemacs-packages/elib/elib.texi	Sat Sep 03 14:45:26 2011 +0200
+++ b/xemacs-packages/elib/elib.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -39,9 +39,9 @@
 @sp 4
 @comment The title is printed in a large font.
 @center @titlefont{User's Guide}
-@sp
+@sp 1
 @center @titlefont{to}
-@sp
+@sp 1
 @center @titlefont{Elib - The Emacs Lisp Library}
 @sp 2
 @center version 1.0
diff -r c1f33e202c13 xemacs-packages/eshell/eshell.texi
--- a/xemacs-packages/eshell/eshell.texi	Sat Sep 03 14:45:40 2011 +0200
+++ b/xemacs-packages/eshell/eshell.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -30,7 +30,7 @@
 @direntry
 * Eshell: (eshell).	A command shell implemented in Emacs Lisp.
 @end direntry
-@setchapternewpage on
+@setchapternewpage odd
      
 @ifinfo
 Copyright @copyright{} 1999-2000  Free Software Foundation, Inc.
@@ -66,9 +66,9 @@
 @sp 4
 @c The title is printed in a large font.
 @center @titlefont{User's Guide}
-@sp
+@sp 1
 @center @titlefont{to}
-@sp
+@sp 1
 @center @titlefont{Eshell: The Emacs Shell}
 @ignore
 @sp 2
@@ -794,7 +794,6 @@
 
 @printindex ky
 
-@setchapternewpage odd
 @summarycontents
 @contents
 @bye
diff -r e9ab9d849d17 xemacs-packages/eterm/term.texi
--- a/xemacs-packages/eterm/term.texi	Sat Sep 03 14:45:49 2011 +0200
+++ b/xemacs-packages/eterm/term.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -1,10 +1,10 @@
-@\input texinfo @c -*-texinfo-*-
+\input texinfo @c -*-texinfo-*-
 @setfilename ../info/term.info
 @settitle XEmacs Terminal Emulator Mode
 
 @titlepage
 @sp 6
-@center @titlefont(XEmacs Terminal Emulator Mode)
+@center @titlefont{XEmacs Terminal Emulator Mode}
 @end titlepage
 
 @ifinfo
diff -r 629c65a2e3ee xemacs-packages/eudc/eudc.texi
--- a/xemacs-packages/eudc/eudc.texi	Tue Jan 10 14:52:55 2012 +0100
+++ b/xemacs-packages/eudc/eudc.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -52,9 +52,9 @@
 @end ifinfo
 
 @titlepage
-@title{EUDC Manual}
-@subtitle{The Emacs Unified Directory Client}
-@author by Oscar Figueiredo
+@title EUDC Manual
+@subtitle The Emacs Unified Directory Client
+@author Oscar Figueiredo
 @code{1.32}
 
 @page
diff -r 61ebe6c6b1bf xemacs-packages/general-docs/texi/xemacs/xemacs-devguide.texi
--- a/xemacs-packages/general-docs/texi/xemacs/xemacs-devguide.texi	Sat Sep 03 14:46:06 2011 +0200
+++ b/xemacs-packages/general-docs/texi/xemacs/xemacs-devguide.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -99,6 +99,7 @@
 * The Work Roles::              
 * The Work Flow::               
 * XEmacs Resources on the Internet::  
+* Copying::                     
 * Nodes borrowed from other projects not adapted to XEmacs::
 * Index::                       
 
@@ -183,7 +184,6 @@
 * News::                        
 * Surveys::                     
 * Free Software Directories::   
-* Copying::                     
 
 Bugs
 
@@ -2207,11 +2207,11 @@
 @node XEmacs Resources on the Internet, Copying, The Work Flow, Top
 @chapter XEmacs Resources on the Internet
 
-@strong{Write this node!  Get mailing list and newsgroup information
+@strong{Write this node!}  Get mailing list and newsgroup information
 from the @uref{http://www.xemacs.org/Lists/, mailing list page},
 available as the module @emph{xemacsweb} @ref{CVS Repository}.
 
-There should also be a node for the Emacs Wiki.}
+There should also be a node for the Emacs Wiki.
 
 @cindex XEmacs Resources on the Internet
 
@@ -2769,7 +2769,7 @@
 @end menu
 
 
-@node Support Requests, Bugs, , Top
+@node Support Requests, Bugs, Nodes borrowed from other projects not adapted to XEmacs, Nodes borrowed from other projects not adapted to XEmacs
 @chapter Support Requests
 
 @cindex Support Requests
@@ -2780,7 +2780,7 @@
 
 
 
-@node Bugs, Feature Requests, Support Requests, Top
+@node Bugs, Feature Requests, Support Requests, Nodes borrowed from other projects not adapted to XEmacs
 @chapter Bugs
 
 @strong{We don't have a tracker.  We should.  Describe what it should
@@ -3119,7 +3119,7 @@
 
 @end table
 
-@node Feature Requests, Patch Queue, Bugs, Top
+@node Feature Requests, Patch Queue, Bugs, Nodes borrowed from other projects not adapted to XEmacs
 @chapter Feature Requests
 
 @cindex Feature Requests
@@ -3142,7 +3142,7 @@
 After incorporating the feature, update the feature request as
 described in the previous section (@pxref{Bugs}).
 
-@node Patch Queue, File Releases, Feature Requests, Top
+@node Patch Queue, File Releases, Feature Requests, Nodes borrowed from other projects not adapted to XEmacs
 @chapter Patch Queue
 
 @cindex Patch Queue
@@ -3161,7 +3161,7 @@
 
 
 
-@node File Releases, News, Patch Queue, Top
+@node File Releases, News, Patch Queue, Nodes borrowed from other projects not adapted to XEmacs
 @chapter File Releases
 
 @strong{This node and all of its children need to be reviewed and
@@ -3536,7 +3536,7 @@
 and must also be given access to the Emacs CVS repository.  This can be
 accomplished by following these steps:
 
-@table @emph
+@enumerate
 
 @item
 Obtain a
@@ -3550,7 +3550,7 @@
 Follow the instructions given in
 @uref{https://savannah.gnu.org/cvs/?group=emacs, the CVS instructions}.
 
-@end table
+@end enumerate
 
 @cindex emacs-devel
 @cindex mailing lists, emacs-devel
@@ -3854,7 +3854,7 @@
 releases.  It also limits the scope of the release, and makes it clear
 when we're done.
 
-@node News, Surveys, File Releases, Top
+@node News, Surveys, File Releases, Nodes borrowed from other projects not adapted to XEmacs
 @chapter News
 
 @strong{Needs review.}
@@ -3929,7 +3929,7 @@
 The Emacs announcement is described in @ref{Updating the Emacs
 Repository}.
 
-@node Surveys, Free Software Directories, News, Top
+@node Surveys, Free Software Directories, News, Nodes borrowed from other projects not adapted to XEmacs
 @chapter Surveys
 
 @strong{Interesting.  Should we do this, maybe?}
@@ -3942,7 +3942,7 @@
 interface is backwards.  First you create questions and note the
 question IDs.  Then you create a survey and list the question IDs.
 
-@node Free Software Directories, , Surveys, Top
+@node Free Software Directories, , Surveys, Nodes borrowed from other projects not adapted to XEmacs
 @chapter Free Software Directories
 
 @cindex FSF/UNESCO Free Software Directory
diff -r f649d3209420 xemacs-packages/gnats/texi/fields.texi
--- a/xemacs-packages/gnats/texi/fields.texi	Sat Sep 03 14:46:09 2011 +0200
+++ b/xemacs-packages/gnats/texi/fields.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -512,8 +512,7 @@
 
 @cindex @code{>Unformatted:}
 @cindex @code{Unformatted} field
-@item
- >Unformatted:
+@item >Unformatted:
 (@sc{MultiText}) Any random text found outside the fields in the
 original Problem Report.
 @end table
diff -r f649d3209420 xemacs-packages/gnats/texi/p-inst.texi
--- a/xemacs-packages/gnats/texi/p-inst.texi	Sat Sep 03 14:46:09 2011 +0200
+++ b/xemacs-packages/gnats/texi/p-inst.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -577,8 +577,7 @@
 @code{configure} only instructs the resulting @file{Makefile} to create
 the user utilities.
 
-@exdent
-@emph{You may need @code{root} access on each host for the following steps.}
+@exdent @emph{You may need @code{root} access on each host for the following steps.}
 
 @item
 @cindex creating an account for @sc{gnats}
diff -r 9cc3f88c82e0 xemacs-packages/hm--html-menus/hm--html-mode.texi
--- a/xemacs-packages/hm--html-menus/hm--html-mode.texi	Sat Sep 03 14:47:42 2011 +0200
+++ b/xemacs-packages/hm--html-menus/hm--html-mode.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -44,7 +44,7 @@
 @end iftex
 @titlepage
 @sp 10
-@center @titlefont{The Elisp Package hm{-}{-}html{-}menus}
+@center @titlefont{The Elisp Package hm@code{-}@code{-}html@code{-}menus}
 
 @sp 4
 @center by Heiko Mnkel
@@ -205,54 +205,54 @@
 @table @file
 @item README 
 Please, read this first.
-@itemx README-EMACS-19
+@item README-EMACS-19
 Some special hints only for GNU Emacs 19 users.
-@itemx ANNOUNCEMENT
+@item ANNOUNCEMENT
 Text of the announcement of this package.
-@itemx LSM
+@item LSM
 Entry for the Linux Software Map.
-@itemx NEWS
+@item NEWS
 The NEWS and Change log file.
-@itemx adapt.el
+@item adapt.el
 Provides (emulates XEmacs) functions for the use of this package with
 GNU Emacs 19.
-@itemx drop
+@item drop
 An xbm file with the drag and drop mouse pointer in the XEmacs.
-@itemx dropmsk
+@item dropmsk
 An xbm file with the mask for the drag and drop mouse pointer in the XEmacs.
-@itemx hm--html.el
+@item hm--html.el
 Provides functions to write html pages. It defines all commands which
 insert html elements and entities.
-@itemx hm--html-indentation.el
+@item hm--html-indentation.el
 Provides the lisp code for the indentation.
-@itemx hm--html-keys.el
+@item hm--html-keys.el
 Defines the key bindings.
-@itemx hm--html-menu.el
+@item hm--html-menu.el
 Provides the menus.
-@itemx hm--html-mode.el
+@item hm--html-mode.el
 Provides the functions for the definition of the hm--html-mode and the
 hm--html-minor-mode. This is the main file of the package.
-@itemx hm--html-not-standard.el
+@item hm--html-not-standard.el
 Provides functions to insert some non standard html elements. This file
 is not evaluated by default and it may be a bad idea to use it.
-@itemx hm--html-configuration.el
+@item hm--html-configuration.el
 Configuration file for the html mode. All the user variables are defined
 in this file. 
-@itemx hm--html-drag-and-drop.el
+@item hm--html-drag-and-drop.el
 Defines the HTML-specific functions for the drag and drop interface.
-@itemx hm--date.el
+@item hm--date.el
 Defines the function hm--date, which returns the date in the format
 "day-month-year" like "30-Jun-1993".
-@itemx html-view.el
+@item html-view.el
 Ron Tapia's html-view.el to view html pages in Mosaic. It is
 patched for use with XEmacs.
-@itemx internal-drag-and-drop.el
+@item internal-drag-and-drop.el
 Provides the general (html-mode independent) functions of the drag and
 drop interface.
-@itemx templates.doc
+@item templates.doc
 Describes the syntax of the templates provided in the file
 @file{tmpl-minor-mode.el}
-@itemx tmpl-minor-mode.el
+@item tmpl-minor-mode.el
 Provides functions for the tmpl-minor-mode. With this mode you can
 expand templates, which are described in the file
 @file{templates-syntax.doc} (look at the files
@@ -260,13 +260,13 @@
 examples).  Templates can be expanded automatically, if you include a
 file with templates via the html pulldown menu item "Templates ..." or
 with the item "Templates (fixed dirs)...".
-@itemx command-description.html.tmpl
+@item command-description.html.tmpl
 Template file for the use with the tmpl-minor-mode.
-@itemx frame.html.tmpl
+@item frame.html.tmpl
 Template file, provides a simple frame.
-@itemx doc/hm--html-mode.texinfo 
+@item doc/hm--html-mode.texinfo 
 Package documentation in the Texinfo format.
-@itemx doc/umlaute.texinfo
+@item doc/umlaute.texinfo
 Texinfo include file for German vowel mutation (deutsche Umlaute).
 @end table
 
diff -r 9f51888f52b6 xemacs-packages/hyperbole/man/hyperbole.texi
--- a/xemacs-packages/hyperbole/man/hyperbole.texi	Wed Apr 17 22:11:32 2013 +0200
+++ b/xemacs-packages/hyperbole/man/hyperbole.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -101,7 +101,7 @@
 @noindent
 Hyperbole consists of four parts:
 
-@table @bullet
+@itemize @bullet
 @item Info Management
 an interactive information management interface, including a powerful
 rolodex, which anyone can use.  It is easy to pick up and use since it
@@ -125,7 +125,7 @@
 distinct system.  (All of Hyperbole is written in Emacs Lisp for ease of
 modification.  Although Hyperbole was initially designed as a prototype,
 it has been engineered for real-world usage and is well structured.)
-@end table
+@end itemize
 
 @cindex GNU Emacs
 @kindex C-h t
@@ -2561,28 +2561,28 @@
 @item C-c c
 Copy <tree> to be the successor of <cell>.
 @kindex C-u C-c c
-@itemx C-u C-c c
+@item C-u C-c c
 Copy <tree> to follow as the first child of <cell>.
 
 @kindex C-c C-c
 @item C-c C-c
 Copy <tree> to be the predecessor of <cell>.
 @kindex C-u C-c C-c
-@itemx C-u C-c C-c
+@item C-u C-c C-c
 Copy <tree> to be the first child of the parent of <cell>.
 
 @kindex C-c m
 @item C-c m
 Move <tree> to be the successor of <cell>.
 @kindex C-u C-c m
-@itemx C-u C-c m
+@item C-u C-c m
 Move <tree> to follow as the first child of <cell>.
 
 @kindex C-c C-m
 @item C-c C-m
 Move <tree> to precede <cell>.
 @kindex C-u C-c C-m
-@itemx C-u C-c C-m
+@item C-u C-c C-m
 Move <tree> to be the first child of the parent of <cell>.
 @end table
 
@@ -2609,7 +2609,7 @@
 @item C-c M-c
 Copy  <tree> to a non-koutline buffer.
 @kindex C-c @@
-@itemx C-c @@
+@item C-c @@
 Copy a <tree> to an outgoing mail message.
 @end table
 
@@ -2625,42 +2625,42 @@
 @item C-c ,
 Move to the beginning of the current cell.
 @kindex C-c .
-@itemx C-c .
+@item C-c .
 Move to the end of the current cell.
 
 @kindex C-c C-n
 @item C-c C-n
 Move to the next visible cell, regardless of level.
 @kindex C-c C-p
-@itemx C-c C-p
+@item C-c C-p
 Move to the previous visible cell, regardless of level.
 
 @kindex C-c C-f
 @item C-c C-f
 Move forward to this cell's successor, if any.
 @kindex C-c C-b
-@itemx C-c C-b
+@item C-c C-b
 Move backward to this cell's predecessor, if any.
 
 @kindex C-c C-d
 @item C-c C-d
 Move to the first child of the current cell, if any.
 @kindex C-c C-u
-@itemx C-c C-u
+@item C-c C-u
 Move to the parent cell of the current cell, if any.
 
 @kindex C-c <
 @item C-c <
 Move to the first sibling at the current level within this tree.
 @kindex C-c >
-@itemx C-c >
+@item C-c >
 Move to the last sibling at the current level within this tree.
 
 @kindex C-c ^
 @item C-c ^
 Move to the level 1 root cell of the current tree.
 @kindex C-c $
-@itemx C-c $
+@item C-c $
 Move to the last cell in the tree rooted at point, regardless of level.
 @end table
 
@@ -2883,7 +2883,7 @@
 @cindex show tree
 @cindex tree, show
 @kindex C-c C-s
-@itemx C-c C-s
+@item C-c C-s
 Show (expand) the tree rooted at point.
 
 @cindex outline, all cells
@@ -2895,7 +2895,7 @@
 @cindex cell, show levels
 @cindex outline, show levels
 @kindex C-x $
-@itemx C-x $
+@item C-x $
 Show all of the cells down to a particular <level>.  You are prompted
 for the level or a prefix argument may be given.
 
@@ -2910,7 +2910,7 @@
 @cindex tree, show subtree
 @cindex cell, show subtree
 @cindex show subtree
-@itemx M-x kotl-mode:show-subtree
+@item M-x kotl-mode:show-subtree
 Show the subtree at point.  Use @{@kbd{C-c C-s}@} to achieve a similar
 effect.  The only difference is that it will expand the root cell too.
 
@@ -2924,7 +2924,7 @@
 @cindex top-level view
 @cindex outline, top-level
 @kindex C-c C-t
-@itemx C-c C-t
+@item C-c C-t
 Show a top-level view of the outline by showing only the first line of
 each level one cell.  This does not turn off blank lines.
 @end table
@@ -3022,25 +3022,25 @@
 Turn on the default label type, as given by the variable,
 @var{kview:default-label-type}.  Normally, this is alphanumeric labels.
 @cindex label type, idstamps
-@itemx n0
+@item n0
 Display idstamps.
 @cindex label type, alpha
-@itemx n1
+@item n1
 Display alpha labels.
 @cindex label type, partial alpha
-@itemx n2
+@item n2
 Display partial alpha labels (don't use this, as full alpha labels are
 better).
 @cindex label type, legal
-@itemx n.
+@item n.
 Display legal labels.
 @cindex label type, star
 @cindex label type, asterisk
-@itemx n*
+@item n*
 Display star labels.  A level three cell would have three asterisks as a
 label, for example.
 @cindex label type, no labels
-@itemx n~
+@item n~
 Turn off labels.  (n viewspec is removed from modeline).
 @end table
 
@@ -3090,7 +3090,7 @@
 @noindent
 There are basically three forms of klinks:
 
-@table @bullet
+@itemize @bullet
 @cindex internal klink
 @cindex klink, internal
 @cindex <@@ klink>
@@ -3120,7 +3120,7 @@
 koutline.  For example, <|ben>, when activated, sets the view in the
 current outline to display blank lines, ellipses following collapsed
 lines and standard alphanumeric numbering.
-@end table
+@end itemize
 
 
 @node Cell Attributes, Outliner History, Links, Outliner
@@ -3132,7 +3132,7 @@
 particular outline cell.  Thus, each cell has its own attribute list.
 Every cell has three standard attributes:
 
-@table @bullet
+@itemize @bullet
 @cindex idstamp attribute
 @item idstamp
 The permanent id of the cell, typically used in cross-file hyperlinks
@@ -3150,7 +3150,7 @@
 The time at which the cell was created.  This is stored in a form that
 allows for easy data comparisons but is displayed in a human readable
 format, such as "Jan 28 18:27:59 CST 1994".
-@end table
+@end itemize
 
 @kindex C-c C-i
 @cindex attribute, adding
@@ -4064,7 +4064,7 @@
 Encapsulations are provided for the following systems (the systems
 themselves are not included with Hyperbole):
 
-@table @bullet
+@itemize @bullet
 @item World-Wide Web
 The world-wide web system originally developed at CERN, that now spans
 the Internet universe.  This is automatically loaded by Hyperbole so
@@ -4077,7 +4077,7 @@
 @item HyperBase
 A hypertextual storage manager that stores textual nodes as records with
 locking so that multiple users can read and edit hypertexts.
-@end table
+@end itemize
 
 
 @node Embedding Hyperbole,  , Encapsulating Systems, Developing with Hyperbole
diff -r 76291e750254 xemacs-packages/idlwave/idlwave.texi
--- a/xemacs-packages/idlwave/idlwave.texi	Sat Sep 03 14:47:55 2011 +0200
+++ b/xemacs-packages/idlwave/idlwave.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -2694,7 +2694,7 @@
 
 
 @sp 1
-@noindent @strong{Note that electric debug mode can be prevented from
+@noindent @strong{Electric debug mode can be prevented from
 activating automatically by customizing the variable
 @code{idlwave-shell-automatic-electric-debug}.}
 
diff -r 224c3586e6bf xemacs-packages/ilisp/docs/ilisp.texi
--- a/xemacs-packages/ilisp/docs/ilisp.texi	Sat Sep 03 14:48:08 2011 +0200
+++ b/xemacs-packages/ilisp/docs/ilisp.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -124,7 +124,8 @@
 
 @page
 @vskip 0pt plus 1filll
-Copyright @copyright{} @itemize
+Copyright @copyright{}
+@itemize
         @item 1991, 1992, 1993 Todd Kaufmann
         @item 1993, 1994 Ivan Vasquez
         @item 1994, 1995, 1996 Marco Antoniotti and Rick Busdiecker
diff -r aa935ea8d84b xemacs-packages/ispell/ispell.texi
--- a/xemacs-packages/ispell/ispell.texi	Sat Sep 03 14:48:11 2011 +0200
+++ b/xemacs-packages/ispell/ispell.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -86,6 +86,7 @@
 * Near misses::			Definition of a near miss
 * History::			Where it came from
 
+@detailmenu
  --- The Detailed Node Listing ---
 
 Using ispell from emacs
@@ -94,6 +95,7 @@
 * Buffer::			Checking a whole buffer
 * Region::			Checking a region
 * Multiple Dictionaries::	Using Multiple Dictionaries
+@end detailmenu
 @end menu
 
 
diff -r 38cddbcdd130 xemacs-packages/mail-lib/smtpmail.texi
--- a/xemacs-packages/mail-lib/smtpmail.texi	Sat Sep 03 14:49:04 2011 +0200
+++ b/xemacs-packages/mail-lib/smtpmail.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -31,9 +31,9 @@
 @end direntry
 
 @titlepage
-@title{Emacs SMTP Library}
-@subtitle{An Emacs package for sending mail via SMTP}
-@author{Simon Josefsson, Alex Schroeder}
+@title Emacs SMTP Library
+@subtitle An Emacs package for sending mail via SMTP
+@author Simon Josefsson, Alex Schroeder
 @page
 @vskip 0pt plus 1filll
 @insertcopying
diff -r 1f545fbdf076 xemacs-packages/mailcrypt/mailcrypt.texi
--- a/xemacs-packages/mailcrypt/mailcrypt.texi	Sat Sep 03 14:49:08 2011 +0200
+++ b/xemacs-packages/mailcrypt/mailcrypt.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -6,6 +6,10 @@
 @c @subsecheadingskip 8pt plus 6pt minus 3pt
 @c @singlespace
 
+@set TITLE Mailcrypt
+@set VERSION 3.5.8
+@set UPDATED August 29, 1998
+
 @c %**start of header
 @setfilename mailcrypt.info
 @settitle @value{TITLE}
@@ -21,10 +25,6 @@
 @syncodeindex vr cp
 @syncodeindex fn cp
 
-@set TITLE Mailcrypt
-@set VERSION 3.5.8
-@set UPDATED August 29, 1998
-
 @ifinfo
 
 This documentation describes Mailcrypt version @value{VERSION}.  This
diff -r 94793e4b0b7e xemacs-packages/mew/mew/info/mew.texi
--- a/xemacs-packages/mew/mew/info/mew.texi	Sat Sep 03 14:49:17 2011 +0200
+++ b/xemacs-packages/mew/mew/info/mew.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -23,11 +23,10 @@
 
 @set version 1.94.2
 @set modified 1999/11/16
-@set X-Mailer: Mew version 1.94 on XEmacs 20.4
+@set X-Mailer Mew version 1.94 on XEmacs 20.4
 
 @titlepage
 @sp 10
-@center
 @subtitle Messaging in the Emacs World
 @ifset jp
 @title $B!X(BMew$B!Y(B
@@ -701,7 +700,7 @@
 @ifset us
 @item SPC
 Read through messages. That is, display a message, scroll it, and
-move-then-display another message. Refer to @xref{level-one} to know
+move-then-display another message. Refer to @ref{level-one} to know
 which direction the cursor moves.
 @item DEL
 Back-scroll this message. Unnecessary header fields are hidden over the
@@ -875,7 +874,7 @@
 
 Content-Description can be considered Subject: for each part. This
 format is very similar to that of attachment region in Draft mode. For
-more information of each column, please refer to @xref{mime-comp}.
+more information of each column, please refer to @ref{mime-comp}.
 @end ifset
 
 @ifset jp
@@ -1078,7 +1077,7 @@
 encounter cipher text.  This is because Mew does not cache pass-phrases
 anywhere for security reasons. If you feel this is inconvenient, set the
 following configuration so that your pass-phrases are cached for a
-while. Please refer to @xref{folder} to know what you should take care
+while. Please refer to @ref{folder} to know what you should take care
 to use this feature.
 @end ifset
 
@@ -1263,7 +1262,7 @@
 @end ifset
 @ifset us
 At that time, you may be required to input your password.  Please refer
-to @xref{Start} to know what you should take care when inputing
+to @ref{Start} to know what you should take care when inputing
 password. If you get sick of inputing your password time to time, please
 make use of the password-cache mechanism with following configuration.
 @end ifset
@@ -1455,7 +1454,7 @@
 @item F
 Forward messages marked with @samp{@@} to a third person. A new draft is
 prepared in Draft mode and this message is automatically attached. For
-more information, refer to @xref{multi mark}.
+more information, refer to @ref{multi mark}.
 @end ifset
 @end table
 
@@ -1568,17 +1567,17 @@
 @item B
 De-capsulate embedded messages in MIME format.
 @item D
-Delete all messages in the +trash folder(@xref{delete mark}).
+Delete all messages in the +trash folder(@pxref{delete mark}).
 @item Z
-Read Addrbook(@xref{addrbook}) and update its information. If you type
+Read Addrbook(@pxref{addrbook}) and update its information. If you type
 @samp{C-u Z}, information of folders is also updated in addition to that
 of Addrbook. If @samp{mew-use-folders-file-p} is @samp{t}, the list of
 folders is stored in "~/Mail/.folders". The default value is @samp{t}.
 @item C-cC-a
 Register the information on the current message to
-Addrbook(@xref{addrbook}).
+Addrbook(@pxref{addrbook}).
 @item C-cC-v
-Select PGP version(@xref{pgp-viewing}).
+Select PGP version(@pxref{pgp-viewing}).
 @item C-cC-p
 Let PGP decrypt and/or verify good-old-PGP messages.
 @end ifset
@@ -1869,7 +1868,7 @@
 @example
 To: 
 Subject: 
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 @end example
 
@@ -2037,7 +2036,7 @@
 This means to replace the string "pooh" with
 "winnie-the-pooh@@100acre.woodwest.uk". Note that short names should
 usually be configured in "~/.im/Addrbook". For more information about
-Addrbook, please refer to @xref{addrbook}.
+Addrbook, please refer to @ref{addrbook}.
 @end ifset
 
 @ifset jp
@@ -2228,7 +2227,7 @@
 Config: $B$NJd40$K4X$7$F$O(B @xref{config} $B$r;2>H$7$F2<$5$$!#(B
 @end ifset
 @ifset us
-Please refer to @xref{config} to know completion for Config:.
+Please refer to @ref{config} to know completion for Config:.
 @end ifset
 
 @c %%%%%%%%%%%%%%%%%
@@ -2422,7 +2421,7 @@
 Config: $B$N=[4DE*$JJd40$K4X$7$F$O(B @xref{config} $B$r;2>H$7$F2<$5$$!#(B
 @end ifset
 @ifset us
-Please refer to @xref{config} to know circular completion for Config:.
+Please refer to @ref{config} to know circular completion for Config:.
 @end ifset
 
 @c %%%%%%%%%%%%%%%%%
@@ -2628,7 +2627,7 @@
 @end ifset
 @ifset us
 The nickname is used to replace addresses in Summary mode and to replace
-the citation prefix(@xref{cite}) in Draft mode.
+the citation prefix(@pxref{cite}) in Draft mode.
 @end ifset
 
 @ifset jp
@@ -2748,7 +2747,7 @@
 @ifset jp
 To: pooh
 Subject: PGP/MIME $B$r;H$*$&$h(B
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 Mew $B$,%;%-%e%j%F%#!&%^%k%A%Q!<%H$r%5%]!<%H$7$^$7$?!#(B
 
@@ -2757,7 +2756,7 @@
 @ifset us
 To: pooh
 Subject: Let's use PGP/MIME
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 Mew starts walking with security multipart. Enjoy PGP/MIME!
 
@@ -2776,7 +2775,7 @@
 @ifset jp
 To: winnie-the-pooh@@100acre.woodwest.uk
 Subject: PGP/MIME =?iso-2022-jp?B?GyRCJHI7SCQqJCYkaBsoQg==?=
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 Mime-Version: 1.0
 Content-Type: Text/Plain; charset=iso-2022-jp
 Content-Transfer-Encoding: 7bit
@@ -2788,7 +2787,7 @@
 @ifset us
 To: winnie-the-pooh@@100acre.woodwest.uk
 Subject: Let's use PGP/MIME
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 Mime-Version: 1.0
 Content-Type: Text/Plain; charset=us-ascii
 Content-Transfer-Encoding: 7bit
@@ -3121,7 +3120,7 @@
 @end ifset
 @ifset us
 With the first line, an address in the citation label is replaced with
-its nickname(@xref{addrbook}). The second line indicates that a user
+its nickname(@pxref{addrbook}). The second line indicates that a user
 name in the prefix is replaced with its nickname.
 @end ifset
 
@@ -3222,7 +3221,7 @@
 @ifset jp
 To: mew-dist
 Subject: $B$3$3$,%X%C%@(B
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 $BK\J8$@$h!#(B
 
@@ -3235,7 +3234,7 @@
 @ifset us
 To: mew-dist
 Subject: This is header
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 This is body.
 
@@ -3538,11 +3537,11 @@
 $B%i%`$O!"(B@xref{mark-b-comp} $B$G@bL@$9$k0E9f2=$N:]$K>e=q$-$5$l$^$9!#(B
 @end ifset
 @ifset us
-Please refer to @xref{mark-b-comp} to know how to change mark
+Please refer to @ref{mark-b-comp} to know how to change mark
 (Content-Transfer-Encoding:).  You can change data types(Content-Type:)
 by @samp{T} at any time. You can also insert
 descriptions(Content-Description:) by @samp{D}. This description column
-is overwritten when encrypted as described in @xref{mark-b-comp}.
+is overwritten when encrypted as described in @ref{mark-b-comp}.
 @end ifset
 
 @ifset jp
@@ -4025,7 +4024,7 @@
 your secret key is used to sign a message. So, you need to input your
 pass-phrase when sign up. Note that if you use the pass-phrase cache
 and if pass-phrases are cached, you do not have to type your
-pass-phrase(@xref{pgp-viewing}).
+pass-phrase(@pxref{pgp-viewing}).
 @end ifset
 
 @ifset jp
@@ -4057,7 +4056,7 @@
 @ifset jp
 To: pooh
 Subject: PGP/MIME $B$r;H$*$&$h(B
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 Mew $B$,%;%-%e%j%F%#!&%^%k%A%Q!<%H$r%5%]!<%H$7$^$7$?!#(B
 
@@ -4066,7 +4065,7 @@
 @ifset us
 To: pooh
 Subject: Let's PGP/MIME
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 ----
 Mew starts walking with security multipart. Enjoy PGP/MIME!
 
@@ -4086,7 +4085,7 @@
 @ifset jp
 To: winnie-the-pooh@@100acre.woodwest.uk
 Subject: PGP/MIME =?iso-2022-jp?B?GyRCJHI7SCQqJCYkaBsoQg==?=
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 Mime-Version: 1.0
 Content-Type: Multipart/Signed;
         protocol="application/pgp-signature";
@@ -4121,7 +4120,7 @@
 @ifset us
 To: winnie-the-pooh@@100acre.woodwest.uk
 Subject: Let's PGP/MIME
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 Mime-Version: 1.0
 Content-Type: Multipart/Signed;
         protocol="application/pgp-signature";
@@ -4173,7 +4172,7 @@
 @ifset jp
 To: winnie-the-pooh@@100acre.woodwest.uk
 Subject: PGP/MIME =?iso-2022-jp?B?GyRCJHI7SCQqJCYkaBsoQg==?=
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 Mime-Version: 1.0
 Content-Type: Multipart/Encrypted;
         protocol="application/pgp-encrypted";
@@ -4208,7 +4207,7 @@
 @ifset us
 To: winnie-the-pooh@@100acre.woodwest.uk
 Subject: Let's PGP/MIME
-X-Mailer:@value{X-Mailer:}
+X-Mailer:@value{X-Mailer}
 Mime-Version: 1.0
 Content-Type: Multipart/Encrypted;
         protocol="application/pgp-encrypted";
@@ -4876,7 +4875,7 @@
 To refile a message, type @samp{o} and input a folder name, then
 @samp{o} is put. A folder is guessed neatly, so most time what you
 should to is just type @samp{RET}. For more information, refer to
-@xref{Refile}.
+@ref{Refile}.
 @end ifset
 
 @ifset jp
@@ -5004,7 +5003,7 @@
 @ifset us
 Please put the @samp{*} mark onto messages that you want to review
 later. @samp{?} also put the @samp{*} mark onto matched messages(for
-more information, refer to @xref{Pick}). Use @samp{N} and @samp{P} to
+more information, refer to @ref{Pick}). Use @samp{N} and @samp{P} to
 walk around messages marked with @samp{*}.
 @end ifset
 
@@ -5146,7 +5145,7 @@
 $B;2>H$7$F2<$5$$!#(B
 @end ifset
 @ifset us
-Refer to @xref{level-one} to know which direction the cursor moves after
+Refer to @ref{level-one} to know which direction the cursor moves after
 putting a strong mark.
 @end ifset
 
@@ -5580,7 +5579,7 @@
 @end ifset
 @ifset us
 In addition to the mechanism to select a mailing-list folder described
-in @xref{by-folder}, Mew provides a mechanism to choose a private
+in @ref{by-folder}, Mew provides a mechanism to choose a private
 folder. Since private folders locate under +from, we can say that this
 mechanism select a folder from the folders under +from. Let's see the
 following example:
@@ -5724,7 +5723,7 @@
 @ifset us
 Information for relationship between From: and folder is stored to
 "~/Mail/.mew-refile-from-alist". @samp{mew-lisp-max-length} controls the
-amount of this information as the same as @xref{by-thread}.
+amount of this information as the same as @ref{by-thread}.
 @end ifset
 
 @ifset jp
@@ -5738,13 +5737,13 @@
 @ifset jp
 @samp{mew-refile-guess-from-me-is-special} $B$,(B @samp{t} $B$N>l9g!"(B
 @samp{mew-refile-guess-by-from} $B$O(B 
-@samp{mew-refile-guess-by-from-folder}(@xref{by-from-folder})$B$HF1MM$JF0(B
+@samp{mew-refile-guess-by-from-folder}(@pxref{by-from-folder})$B$HF1MM$JF0(B
 $B$-$r$7$^$9!#(B
 @end ifset
 @ifset us
 If the value of @samp{mew-refile-guess-from-me-is-special} is @samp{t},
 @samp{mew-refile-guess-by-from} acts as
-@samp{mew-refile-guess-by-from-folder}(@xref{by-from-folder}).
+@samp{mew-refile-guess-by-from-folder}(@pxref{by-from-folder}).
 @end ifset
 
 @c %%%%%%%%%%%%%%%%%
@@ -6075,7 +6074,7 @@
 @item V
 Go to Virtual mode which gives a single view to picked messages from
 multiple folders. Enter a virtual folder name, comma-separated folders,
-and pick pattern. For more information, please refer to @xref{virtual}.
+and pick pattern. For more information, please refer to @ref{virtual}.
 @end ifset
 @end table
 
@@ -7032,7 +7031,7 @@
 @ifset us
 To specify case block to imput, you can use the Config: field in a
 message to be sent. In Draft mode, you can complete the Config: field
-itself by @samp{TAB} as described in @xref{header}. Also, you can
+itself by @samp{TAB} as described in @ref{header}. Also, you can
 complete its value by @samp{TAB} using @samp{mew-config-list} as
 candidates. Moreover, you can use circular completion of
 @samp{mew-config-list} by @samp{C-cTAB}.
@@ -7050,7 +7049,7 @@
 a value of Config: because Mew can guess refile folders. Of course, Mew
 supports this kind of guess feature. You can specify your guess rule to
 @samp{mew-config-guess-alist}. Its syntax is exactly the same as
-@samp{mew-refile-guess-alist} explained in @xref{by-alist}.
+@samp{mew-refile-guess-alist} explained in @ref{by-alist}.
 @end ifset
 
 @ifset jp
@@ -7343,7 +7342,7 @@
 
 @ifset us
 If you wish to learn manner on the Internet more comprehensively, please
-refer to RFC1855(@xref{Bib}).
+refer to RFC1855(@pxref{Bib}).
 @end ifset
 
 @c %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
@@ -7472,7 +7471,7 @@
 $B>\$7$/$O!"(B@xref{mime-multi} $B$r;2>H$7$F2<$5$$!#(B
 @end ifset
 @ifset us
-For more information, please refer to @xref{mime-multi}.
+For more information, please refer to @ref{mime-multi}.
 @end ifset
 
 @ifset jp
@@ -9228,7 +9227,7 @@
 files, picture files and audio files at the same time, and insert your
 first language such as Japanese into Subject:. It is an acronym of
 "Multipurpose Internet Mail Extensions". For more information, please
-refer to @xref{MIME}.
+refer to @ref{MIME}.
 @item PGP
 A program to accomplish encrypted message and digital signature created
 by Phil Zimmermann. An acronym for "Pretty Good Privacy".
diff -r a0a3bac469f2 xemacs-packages/oo-browser/man/oo-browser.texi
--- a/xemacs-packages/oo-browser/man/oo-browser.texi	Sat Sep 03 14:49:41 2011 +0200
+++ b/xemacs-packages/oo-browser/man/oo-browser.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -33,7 +33,9 @@
 @title The OO-Browser
 @subtitle The Multi-language Object-Oriented Code Browser
 @sp 2
-@centerline{@psfig{figure=im/oobr-menu-cv.ps,width=5in}}
+@tex
+\centerline{\psfig{figure=im/oobr-menu-cv.ps,width=5in}}
+@end tex
 @sp 2
 @author Bob Weiner
 
diff -r 608918670e3d xemacs-packages/pcl-cvs/pcl-cvs.texi
--- a/xemacs-packages/pcl-cvs/pcl-cvs.texi	Sun Jan 27 21:38:58 2013 +0100
+++ b/xemacs-packages/pcl-cvs/pcl-cvs.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -26,7 +26,7 @@
 @direntry
 * Pcl-cvs: (pcl-cvs).	Emacs front-end to CVS
 @end direntry
-@setchapternewpage on
+@setchapternewpage odd
      
 @ifinfo
 Copyright @copyright{} 1991-2000  Free Software Foundation, Inc.
@@ -61,9 +61,9 @@
 @sp 4
 @c The title is printed in a large font.
 @center @titlefont{User's Guide}
-@sp
+@sp 1
 @center @titlefont{to}
-@sp
+@sp 1
 @center @titlefont{pcl-cvs - the Emacs Front-End to CVS}
 @sp 2
 @center release 2.9
@@ -2242,7 +2242,6 @@
 
 @printindex ky
 
-@setchapternewpage odd
 @summarycontents
 @contents
 @bye
diff -r 35592a1877f5 xemacs-packages/reftex/reftex.texi
--- a/xemacs-packages/reftex/reftex.texi	Sat Sep 03 14:50:47 2011 +0200
+++ b/xemacs-packages/reftex/reftex.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -1864,7 +1864,7 @@
 document.  @xref{Style Files}, for information on how to set up the style
 files correctly.
 
-@node Citation Info, Chapterbib and Bibunits, Citation Styles, Citations, Top
+@node Citation Info, Chapterbib and Bibunits, Citation Styles, Citations
 @section Citation Info
 @cindex Displaying citations
 @cindex Citations, displaying
diff -r 82883a6f6dbc xemacs-packages/ruby-modes/.hgtags
--- a/xemacs-packages/ruby-modes/.hgtags	Sat Sep 10 15:14:53 2011 +0200
+++ b/xemacs-packages/ruby-modes/.hgtags	Wed Jun 19 10:57:06 2013 -0600
@@ -25,3 +25,4 @@
 5fd92cce27e31760e80e190dc7f71242514c19bd ruby-modes-1_02
 ae3be2c17dee06cf8cbc72227b1d6683feee18a0 ruby-modes-1_01
 debf166e325d7dd5f3f4513007ae1df6f1cdb9b0 ruby-modes-1_00
+28dac17a466ebcacdcd9939b76f504b98f8fccdc ruby-modes-1_05
diff -r 82883a6f6dbc xemacs-packages/ruby-modes/ChangeLog
--- a/xemacs-packages/ruby-modes/ChangeLog	Sat Sep 10 15:14:53 2011 +0200
+++ b/xemacs-packages/ruby-modes/ChangeLog	Wed Jun 19 10:57:06 2013 -0600
@@ -1,3 +1,7 @@
+2011-10-21  Norbert Koch  <viteno@xemacs.org>
+
+	* Makefile (VERSION): XEmacs package 1.05 released.
+
 2011-09-10  Mats Lidell  <matsl@xemacs.org>
 
 	* ruby-mode.el (ruby-mode-revision): Manually expanded CVS
diff -r 82883a6f6dbc xemacs-packages/ruby-modes/Makefile
--- a/xemacs-packages/ruby-modes/Makefile	Sat Sep 10 15:14:53 2011 +0200
+++ b/xemacs-packages/ruby-modes/Makefile	Wed Jun 19 10:57:06 2013 -0600
@@ -17,7 +17,7 @@
 # the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 # Boston, MA 02111-1307, USA.
 
-VERSION = 1.04
+VERSION = 1.05
 AUTHOR_VERSION = 1.8.7
 MAINTAINER = Hans de Graaff <graaff@xemacs.org>
 PACKAGE = ruby-modes
diff -r 60e90ce23315 xemacs-packages/semantic/doc/app-dev-guide.texi
--- a/xemacs-packages/semantic/doc/app-dev-guide.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/app-dev-guide.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -120,12 +120,12 @@
 * Index::                       
 @end menu
 
-@node Semantic Tags
+@node Semantic Tags, Searching Tag Tables, top, top
 @chapter Semantic Tags
 
 @include tags.texi
 
-@node Searching Tag Tables
+@node Searching Tag Tables, Tags at Point, Semantic Tags, top
 @chapter Searching Tag Tables
 
 These functions take some key, and returns information found in a tag
@@ -145,7 +145,7 @@
 * Custom Search::               Write custom search routines.
 @end menu
 
-@node Breadth Search
+@node Breadth Search, Deep Search, Searching Tag Tables, Searching Tag Tables
 @section Breadth Search
 
 Searching the breadth of a list of tags means that only one level of
@@ -209,7 +209,7 @@
 @var{TABLE} is a tag table.  See @dfn{semantic-something-to-tag-table}.
 @end defun
 
-@node Deep Search
+@node Deep Search, Specialty Search, Breadth Search, Searching Tag Tables
 @section Deep Search
 
 @defun semantic-brute-find-first-tag-by-name name streamorbuffer &optional search-parts search-include
@@ -332,7 +332,7 @@
 @obsolete{semantic-find-nonterminal-by-function-first-match,semantic-brute-find-first-tag-by-function}
 @end defun
 
-@node Specialty Search
+@node Specialty Search, Custom Search, Deep Search, Searching Tag Tables
 @section Specialty Search
 
 There are some specialty searches needed by some semantic tools that
@@ -366,7 +366,7 @@
 @var{TABLE} is a tag table.  See @dfn{semantic-something-to-tag-table}.
 @end defun
 
-@node Custom Search
+@node Custom Search,  , Specialty Search, Searching Tag Tables
 @section Custom Search
 
 The searching framework for semantic for tag tables has two basic
@@ -399,7 +399,7 @@
 @c @var{ME} @var{SOON}.
 @c @end defun
 
-@node Tags at Point
+@node Tags at Point, Tag Decoration, Searching Tag Tables, top
 @chapter Tags at Point
 
 When you need to get the tag the cursor is on, there is a more
@@ -459,7 +459,7 @@
 @obsolete{semantic-current-nonterminal-parent,semantic-current-tag-parent}
 @end defun
 
-@node Tag Decoration
+@node Tag Decoration, Tag Sorting, Tags at Point, top
 @chapter Tag Decoration
 
 Tags can be decorated in different ways.  One way a user can control
@@ -475,7 +475,7 @@
 * Tag Folding::                 Visibly Folding up tags
 @end menu
 
-@node Tag Highlighting
+@node Tag Highlighting, Tag Visible Properties, Tag Decoration, Tag Decoration
 @section Highlighting
 
 @defun semantic-highlight-tag tag &optional face
@@ -508,7 +508,7 @@
 @obsolete{semantic-set-token-face,semantic-set-tag-face}
 @end defun
 
-@node Tag Visible Properties
+@node Tag Visible Properties, Tag Secondary Overlays, Tag Highlighting, Tag Decoration
 @section Changing a tag's visible properties
 
 You can give a tag other properties as well, such as making it
@@ -559,7 +559,7 @@
 @obsolete{semantic-token-read-only-p,semantic-tag-read-only-p}
 @end defun
 
-@node Tag Secondary Overlays
+@node Tag Secondary Overlays, Tag Folding, Tag Visible Properties, Tag Decoration
 @section Secondary Overlays
 
 Each tag which is being visited in a buffer has one overlay.  This
@@ -616,7 +616,7 @@
 added by the seconary overlay system whenever a tag's file goes in or
 out of a buffer.
 
-@node Tag Folding
+@node Tag Folding,  , Tag Secondary Overlays, Tag Decoration
 @section Folding
 
 Using secondary overlays, a set of tag folding routines are made
@@ -634,7 +634,7 @@
 Non-@code{nil} if @var{tag} is currently folded.
 @end defun
 
-@node Tag Sorting
+@node Tag Sorting, Tag Completion, Tag Decoration, top
 @chapter Tag Sorting
 
 Sometimes it is important to reorganize a tag stream into a form that
@@ -723,7 +723,7 @@
 which is then integrated into the revised token list.
 @end defvar
 
-@node Tag Completion
+@node Tag Completion, Override Methods, Tag Sorting, top
 @chapter Tag Completion
 
 Often time, it is useful to ask the user for the name of some tag.
@@ -751,7 +751,7 @@
 * Old Tag Completion::          Completion functions from older releases
 @end menu
 
-@node Tag Completion Convenience Functions
+@node Tag Completion Convenience Functions, Custom Tag Completion Functions, Tag Completion, Tag Completion
 @section Tag Completion Convenience Functions
 
 There are some pre written completion functions that can be used in your
@@ -805,7 +805,7 @@
 completion works.
 @end defun
 
-@node Custom Tag Completion Functions
+@node Custom Tag Completion Functions, Old Tag Completion, Tag Completion Convenience Functions, Tag Completion
 @section Custom Tag Completion Functions
 
 There aren't many built in completion functions, but there are many
@@ -871,7 +871,7 @@
 * Tag Displayors::              
 @end menu
 
-@node Tag Collectors
+@node Tag Collectors, Tag Displayors, Custom Tag Completion Functions, Custom Tag Completion Functions
 @subsection Tag Collectors
 
 A tag collector is an object that inherits from
@@ -936,7 +936,7 @@
 
 @c END OF COLLECTOR
 
-@node Tag Displayors
+@node Tag Displayors,  , Tag Collectors, Custom Tag Completion Functions
 @subsection Tag Displayors
 
 When a user is interacting with the prompt, and requests completion,
@@ -995,7 +995,7 @@
 @c END OF DISPLAYOR
 
 
-@node Old Tag Completion
+@node Old Tag Completion,  , Custom Tag Completion Functions, Tag Completion
 @section Older Tag Completion functions
 
 These are older completion functions.  They may still be useful.
@@ -1042,7 +1042,7 @@
 @var{stream} is the list of tags to complete from.
 @end defun
 
-@node Override Methods
+@node Override Methods, Parser Features, Tag Completion, top
 @chapter Override Methods
 
 These functions are called `override methods' because they provide
@@ -1073,7 +1073,7 @@
 * Making New Methods::          How to add your own methods for a tool
 @end menu
 
-@node Format Tag
+@node Format Tag, Tag Members, Override Methods, Override Methods
 @section Format Tag
 
 Any given tag consists of Meta information which is best viewed in
@@ -1207,7 +1207,7 @@
 This function can be overloaded (see @dfn{define-mode-local-override} for details).
 @end defun
 
-@node Tag Members
+@node Tag Members, Tag Details, Format Tag, Override Methods
 @section Tag Members
 
 Tags are often in a hierarchical form, meaning that a tag found in
@@ -1285,7 +1285,7 @@
 @obsolete{semantic-nonterminal-external-member-children,semantic-tag-external-member-children}
 @end defun
 
-@node Tag Details
+@node Tag Details, Making New Methods, Tag Members, Override Methods
 @section Tag Details
 
 These functions help derive information about tags that may not
@@ -1429,7 +1429,7 @@
 Note: @var{type} not yet implemented.
 @end defun
 
-@node Making New Methods
+@node Making New Methods,  , Tag Details, Override Methods
 @section Making New Methods
 
 To create your own application specific mode local function, you
@@ -1479,7 +1479,7 @@
 @obsolete{define-mode-overload-implementation,define-mode-local-override}
 @end defun
 
-@node Parser Features
+@node Parser Features, Semantic Database, Override Methods, top
 @chapter Parser Features
 
 If you write a program that uses a tag table in a persistent
@@ -1504,7 +1504,7 @@
 * Lexical Safety::              Preventing lexical errors from making a mess
 @end menu
 
-@node Editing Buffers
+@node Editing Buffers, Parser State, Parser Features, Parser Features
 @section Editing Buffers
 
 One interesting way to interact with the parser is to let it know that
@@ -1519,7 +1519,7 @@
 as adding or updating top-level comments.
 @end defvar
 
-@node Parser State
+@node Parser State, Parser Hooks, Editing Buffers, Parser Features
 @section Parser State
 
 It is sometimes useful to know what the current parsing state
@@ -1547,7 +1547,7 @@
 Return non-@code{nil} if the current parse tree is up to date.
 @end defun
 
-@node Parser Hooks
+@node Parser Hooks, Lexical Safety, Parser State, Parser Features
 @section Parser Hooks
 
 If you just want to know when a buffer changes, use this hook.
@@ -1594,7 +1594,7 @@
 during a flush when the cache is given a new value of @code{nil}.
 @end defvar
 
-@node Lexical Safety
+@node Lexical Safety,  , Parser Hooks, Parser Features
 @section Lexical Safety
 
 If you application frequenly requests lists of tags upon user request,
@@ -1629,7 +1629,7 @@
 routines to request the tag table without incurring additional parser
 attempts.
 
-@node Semantic Database
+@node Semantic Database, Idle Scheduling, Parser Features, top
 @chapter Semantic Database
 
 Semanticdb is a database mechanism for storing tags parsed by
@@ -1648,7 +1648,7 @@
 * System Databases::            Special kinds of databases for system tags.
 @end menu
 
-@node Semanticdb in Programs
+@node Semanticdb in Programs, Semanticdb Tag Queries, Semantic Database, Semantic Database
 @section Semanticdb in Programs::
 
 If you write a program using semanticdb, you will probably want to
@@ -1686,7 +1686,7 @@
 @var{dontload} does not affect the creation of new database objects.
 @end defun
 
-@node Semanticdb Tag Queries
+@node Semanticdb Tag Queries, System Databases, Semanticdb in Programs, Semantic Database
 @section Semanticdb Tag Queries
 
 You can search for tags in the semantic database using the
@@ -1726,7 +1726,7 @@
 * DB Generic Brute Search::     Do It Yourself search criteria
 @end menu
 
-@node DB Results
+@node DB Results, DB Search Paths, Semanticdb Tag Queries, Semanticdb Tag Queries
 @subsection DB Results
 
 The successful results of a search returns a special list of the
@@ -1797,7 +1797,7 @@
 is still made current.
 @end defun
 
-@node DB Search Paths
+@node DB Search Paths, DB Basic Name Search, DB Results, Semanticdb Tag Queries
 @subsection DB Search Paths
 
 For searches based on an include path (non-brutish) a path of tables
@@ -1894,7 +1894,7 @@
 This function can be overloaded (see @dfn{define-mode-local-override} for details).
 @end defun
 
-@node DB Basic Name Search
+@node DB Basic Name Search, DB Basic Brute Search, DB Search Paths, Semanticdb Tag Queries
 @subsection DB Basic Name Search
 
  These searches scan a database table collection for tags based on
@@ -1965,7 +1965,7 @@
 associated with that tag should be loaded into a buffer.
 @end defun
 
-@node DB Basic Brute Search
+@node DB Basic Brute Search, DB Advanced Search, DB Basic Name Search, Semanticdb Tag Queries
 @subsection DB Basic Brute Search
 
  These searches allow searching on specific attributes of tags,
@@ -1981,7 +1981,7 @@
 associated wit that tag should be loaded into a buffer.
 @end defun
 
-@node DB Advanced Search
+@node DB Advanced Search, DB Generic Brute Search, DB Basic Brute Search, Semanticdb Tag Queries
 @subsection DB Advanced Search
 
  These are searches that were needed to accomplish some
@@ -2001,7 +2001,7 @@
 associated with that tag should be loaded into a buffer.
 @end defun
 
-@node DB Generic Brute Search
+@node DB Generic Brute Search,  , DB Advanced Search, Semanticdb Tag Queries
 @subsection DB Generic Brute Search
 
  The generic search, @dfn{semanticdb-find-nonterminal-by-function}
@@ -2023,7 +2023,7 @@
 and search all tables in this project tree.
 @end defun
 
-@node System Databases
+@node System Databases,  , Semanticdb Tag Queries, Semantic Database
 @section System Databases
 
 System Databases are special implementations of the database and
@@ -2077,7 +2077,7 @@
 of symbol @dfn{semanticdb-project-database-system} are accepted.
 @end deffn
 
-@node Idle Scheduling
+@node Idle Scheduling, Example Programs, Semantic Database, top
 @chapter Idle Scheduling
 
 The Semantic Idle Scheduler is a minor mode which performs semantic
@@ -2149,7 +2149,7 @@
 from the return argument, and continue throwing with an additional
 call to @code{semantic-throw-on-input}.
 
-@node Example Programs
+@node Example Programs, Current Context, Idle Scheduling, top
 @chapter Programming Examples
 
   *** NOTE ***  These examples are for semantic 1.4.
@@ -2263,7 +2263,7 @@
 correctly calculate the protection of each method.
 
 
-@node Current Context
+@node Current Context, App Debugger, Example Programs, top
 @chapter Deriving the Current Context
 
 This chapter deals with how to derive the current context, and also
@@ -2281,7 +2281,7 @@
 * Context Analysis::            Analysis information about the local context.
 @end menu
 
-@node Blocks
+@node Blocks, Local Variables, Current Context, Current Context
 @section Blocks and Navigation
 
 Source code is typically built up of control structures, and blocks of
@@ -2336,7 +2336,7 @@
 This function can be overloaded (see @dfn{define-mode-local-override} for details).
 @end defun
 
-@node Local Variables
+@node Local Variables, Derived Context, Blocks, Current Context
 @section Deriving local variables
 
 Within a given context, or block of code, local variables are often
@@ -2372,7 +2372,7 @@
 This function can be overloaded (see @dfn{define-mode-local-override} for details).
 @end defun
 
-@node Derived Context
+@node Derived Context, Context Analysis, Local Variables, Current Context
 @section Deriving the Current Context
 
 While a context has already been used to describe blocks of code,
@@ -2440,7 +2440,7 @@
 This function can be overloaded (see @dfn{define-mode-local-override} for details).
 @end defun
 
-@node Context Analysis
+@node Context Analysis,  , Derived Context, Current Context
 @section Analysis of the current context
 
 The context parsing API is used in a context analysis library.  This
@@ -2509,7 +2509,7 @@
 * Completion Overview::         How completions are calculated.
 @end menu
 
-@node Analysis Overview
+@node Analysis Overview, Analysis Objects, Context Analysis, Context Analysis
 @subsection Analysis Overview
 
 The semantic analysis function @dfn{semantic-analye-current-context}
@@ -2539,7 +2539,7 @@
                                      +-----------------+
 @end example
 
-@node Analysis Objects
+@node Analysis Objects, Completion Overview, Analysis Overview, Context Analysis
 @subsection Analysis Objects
 
 @defindex analyze
@@ -2554,11 +2554,11 @@
 
 @c END OF ANALZE OBJECT SECTION
 
-@node Completion Overview
+@node Completion Overview,  , Analysis Objects, Context Analysis
 @subsection Completion Overview
 
 
-@node App Debugger
+@node App Debugger, GNU Free Documentation License, Current Context, top
 @chapter Application level Data structure debugger
 
 The data structures that Semantic provides can be complex, and
@@ -2635,12 +2635,12 @@
 object is.  Use Emacs help to pick something out.
 
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, App Debugger, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 60e90ce23315 xemacs-packages/semantic/doc/bovine.texi
--- a/xemacs-packages/semantic/doc/bovine.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/bovine.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -82,7 +82,7 @@
 @c *************************************************************************
 @contents
 
-@node top
+@node top, Starting Rules, (dir), (dir)
 @top @value{TITLE}
 
 The @dfn{bovine} parser is the original @semantic{} parser, and is an
@@ -106,7 +106,7 @@
 * Index::                       
 @end menu
 
-@node Starting Rules
+@node Starting Rules, Bovine Grammar Rules, top, top
 @chapter Starting Rules
 
 In Bison, one and only one nonterminal is designated as the ``start''
@@ -126,7 +126,7 @@
 scopestart nonterminal is targeted by the reserved symbol
 @code{bovine-inner-scope}, so it can be found by the parser harness.
 
-@node Bovine Grammar Rules
+@node Bovine Grammar Rules, Optional Lambda Expression, Starting Rules, top
 @chapter Bovine Grammar Rules
 
 The rules are what allow the compiler to create tags from a language
@@ -165,7 +165,7 @@
 * Order of components in rules::  
 @end menu
 
-@node How Lexical Tokens Match
+@node How Lexical Tokens Match, Grammar-to-Lisp Details, Bovine Grammar Rules, Bovine Grammar Rules
 @section How Lexical Tokens Match
 
 A lexical rule must be used to define how to match a lexical token.
@@ -221,7 +221,7 @@
 currently in effect.
 @end table
 
-@node Grammar-to-Lisp Details
+@node Grammar-to-Lisp Details, Order of components in rules, How Lexical Tokens Match, Bovine Grammar Rules
 @section Grammar-to-Lisp Details
 
 For the bovinator, lexical token matching patterns are @emph{inlined}.
@@ -266,7 +266,7 @@
 simplify implementation, though Bison's technique is more efficient.
 @end table
 
-@node Order of components in rules
+@node Order of components in rules,  , Grammar-to-Lisp Details, Bovine Grammar Rules
 @section Order of components in rules
 
 If a rule has multiple components, order is important, for example
@@ -284,7 +284,7 @@
 
 @c @xref{Default syntactic tokens}.
 
-@node Optional Lambda Expression
+@node Optional Lambda Expression, Bovine Examples, Bovine Grammar Rules, top
 @chapter Optional Lambda Expressions
 
 The @acronym{OLE} (@dfn{Optional Lambda Expression}) is converted into
@@ -399,7 +399,7 @@
 This lets you send @code{$1} as a symbol into a list instead of having
 it expanded inline.
 
-@node Bovine Examples
+@node Bovine Examples, GNU Free Documentation License, Optional Lambda Expression, top
 @chapter Examples
 
 The rule:
@@ -459,12 +459,12 @@
 ( "A" "B" )
 @end example
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, Bovine Examples, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 60e90ce23315 xemacs-packages/semantic/doc/glossary.texi
--- a/xemacs-packages/semantic/doc/glossary.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/glossary.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -5,7 +5,7 @@
 @c proper menus for this chapter.
 @end ignore
 
-@table @keyword
+@table @dfn
 @item BNF
 In semantic 1.4, a BNF file represented ``Bovine Normal Form'', the
 grammar file used for the 1.4 parser generator.  This was a play on
diff -r 60e90ce23315 xemacs-packages/semantic/doc/grammar-fw.texi
--- a/xemacs-packages/semantic/doc/grammar-fw.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/grammar-fw.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -101,7 +101,7 @@
 * Index::                       
 @end menu
 
-@node Overview
+@node Overview, Grammar File, top, top
 @chapter Overview
 
 @semantic{} version 2 introduced a new grammar framework to provide a
@@ -153,7 +153,7 @@
 @image{grammar-fw-ov}
 @end flushleft
 
-@node Grammar File
+@node Grammar File, Working with grammars, Overview, top
 @chapter Grammar File
 
 A @semantic{} grammar file has four main sections, and looks like this:
@@ -184,7 +184,7 @@
 * Epilogue::                    
 @end menu
 
-@node Terminal and Nonterminal Symbols
+@node Terminal and Nonterminal Symbols, Prologue, Grammar File, Grammar File
 @section Terminal and Nonterminal Symbols
 
 @dfn{Symbols} in @semantic{} grammars represent the grammatical
@@ -221,7 +221,7 @@
 The symbol @code{error} is a terminal symbol reserved for error
 recovery; you shouldn't use it for any other purpose.
 
-@node Prologue
+@node Prologue, Declarations, Terminal and Nonterminal Symbols, Grammar File
 @section Prologue
 
 The @var{prologue} section contains definitions of Emacs Lisp
@@ -237,7 +237,7 @@
 other @var{declarations}.  All @var{prologue} sections are copied to
 the generated parser file in the order they appear in the grammar.
 
-@node Declarations
+@node Declarations, Grammar Rules, Prologue, Grammar File
 @section Declarations
 
 The @var{declarations} section contains declarations that define
@@ -263,7 +263,7 @@
 * use-macros Decl::             
 @end menu
 
-@node package Decl
+@node package Decl, languagemode Decl, Declarations, Declarations
 @subsection package Decl
 
 @c Perhaps the declaration below could be
@@ -298,7 +298,7 @@
 @file{foo.wy} file is @code{foo-wy}.
 @end deffn
 
-@node languagemode Decl
+@node languagemode Decl, keyword Decl, package Decl, Declarations
 @subsection languagemode Decl
 
 @deffn %-Decl %languagemode @var{mode1}...
@@ -317,7 +317,7 @@
 currently edited in those major modes.
 @end deffn
 
-@node keyword Decl
+@node keyword Decl, put Decl, languagemode Decl, Declarations
 @subsection keyword Decl
 
 @deffn %-Decl %keyword @var{keyword-name} @var{keyword-value}
@@ -396,7 +396,7 @@
 @obsolete{semantic-flex-keywords,semantic-lex-keywords}
 @end defun
 
-@node put Decl
+@node put Decl, token Decl, keyword Decl, Declarations
 @subsection put Decl
 
 The @code{%put} statement assigns properties to keywords
@@ -438,7 +438,7 @@
 @obsolete{semantic-flex-keyword-get,semantic-lex-keyword-get}
 @end defun
 
-@node token Decl
+@node token Decl, type Decl, put Decl, Declarations
 @subsection token Decl
 
 The @code{%token} statement declares a terminal symbol (a @dfn{token})
@@ -478,7 +478,7 @@
 In the generated library, token definitions are stored in the table of
 declared types (@pxref{type Decl}).
 
-@node type Decl
+@node type Decl, precedence Decl, token Decl, Declarations
 @subsection type Decl
 
 @deffn %-Decl %type <@var{type-name}> [@var{property1} @var{value1} @dots{}]
@@ -578,7 +578,7 @@
 @var{PROPERTY} set.
 @end defun
 
-@node precedence Decl
+@node precedence Decl, default-prec Decl, type Decl, Declarations
 @subsection precedence Decl
 
 @deffn  %-Decl %left [<@var{type-name}>] @var{token1} @dots{}
@@ -599,7 +599,7 @@
 for @semantic{} isn't usually necessary.
 @end table
 
-@node default-prec Decl
+@node default-prec Decl, quotemode Decl, precedence Decl, Declarations
 @subsection default-prec Decl
 
 @deffn  %-Decl %default-prec
@@ -621,7 +621,7 @@
 for @semantic{} isn't usually necessary.
 @end table
 
-@node quotemode Decl
+@node quotemode Decl, scopestart Decl, default-prec Decl, Declarations
 @subsection quotemode Decl
 
 @deffn %-Decl %quotemode @var{symbol}
@@ -635,7 +635,7 @@
 This information has meaning only in @dfn{bovine} grammars.
 @end table
 
-@node scopestart Decl
+@node scopestart Decl, start Decl, quotemode Decl, Declarations
 @subsection scopestart Decl
 
 @deffn %-Decl %scopestart @var{nonterminal}
@@ -649,7 +649,7 @@
 This information has meaning only in @dfn{bovine} grammars.
 @end table
 
-@node start Decl
+@node start Decl, use-macros Decl, scopestart Decl, Declarations
 @subsection start Decl
 
 @deffn %-Decl %start @var{nonterminal1} @dots{}
@@ -663,7 +663,7 @@
 @inforef{Starting Rules , , bovine}.
 @end table
 
-@node use-macros Decl
+@node use-macros Decl,  , start Decl, Declarations
 @subsection use-macros Decl
 
 @deffn %-Decl %use-macros @var{library} @{@var{macro-name1} @dots{}@}
@@ -713,7 +713,7 @@
 (provide 'my-grammar-macros)
 @end lisp
  
-@node Grammar Rules
+@node Grammar Rules, Epilogue, Declarations, Grammar File
 @section Grammar Rules
 
 A grammar rule has the following general form:
@@ -887,7 +887,7 @@
 @end example
 @end table
 
-@node Epilogue
+@node Epilogue,  , Grammar Rules, Grammar File
 @section Epilogue
 
 The @var{epilogue} section contains arbitrary Emacs Lisp code which is
@@ -915,7 +915,7 @@
 to avoid confusion with the Emacs Lisp library own footer.
 @end table
 
-@node Working with grammars
+@node Working with grammars, Adding a new grammar mode, Grammar File, top
 @chapter Working with grammars
 
 @menu
@@ -926,7 +926,7 @@
 * WY grammars::                 
 @end menu
 
-@node Editing grammars
+@node Editing grammars, Auto-generation of lexical rules, Working with grammars, Working with grammars
 @section Editing grammars
 
 @c Document here the various commands and keyboard shortcuts
@@ -1005,7 +1005,7 @@
 You can run the command @command{semantic-grammar-insert-keyword}
 with @w{@kbd{C-c i k}}.
 
-@node Auto-generation of lexical rules
+@node Auto-generation of lexical rules, Grammar Macros, Editing grammars, Working with grammars
 @section Auto-generation of lexical rules
 
 Using a @code{%type} statement, combined with @code{%keyword} and
@@ -1029,10 +1029,10 @@
 * Predefined well-known types::  
 @end menu
 
-@node The principle
+@node The principle, Type properties with a special meaning, Auto-generation of lexical rules, Auto-generation of lexical rules
 @subsection The principle
 
-@node Type properties with a special meaning
+@node Type properties with a special meaning, Predefined well-known types, The principle, Auto-generation of lexical rules
 @subsection Type properties with a special meaning
 
 @table @code
@@ -1065,7 +1065,7 @@
 
 @end table
 
-@node Predefined well-known types
+@node Predefined well-known types,  , Type properties with a special meaning, Auto-generation of lexical rules
 @subsection Predefined well-known types
 
 Default values are provided for well known types like <keyword>,
@@ -1083,7 +1083,7 @@
 @item block
 @end table
 
-@node Grammar Macros
+@node Grammar Macros, BY grammars, Auto-generation of lexical rules, Working with grammars
 @section Grammar Macros
 
 To keep grammars relatively independent of contextual implementations
@@ -1120,7 +1120,7 @@
 There are also local macros that only affect the grammar where they
 are declared.  @xref{use-macros Decl}.
 
-@node BY grammars
+@node BY grammars, WY grammars, Grammar Macros, Working with grammars
 @section BY grammars
 
 @acronym{BY} grammars are in files with the @file{.by} extension
@@ -1132,7 +1132,7 @@
 For more details on how the @acronym{LL} parser works,
 @inforef{top, the Bovine Parser Manual, bovine}.
  
-@node WY grammars
+@node WY grammars,  , BY grammars, Working with grammars
 @section WY grammars
 
 @acronym{WY} grammars are in files with the @file{.wy} extension
@@ -1144,7 +1144,7 @@
 For more details on how the @acronym{LALR} parser works,
 @inforef{top, the Wisent Parser Manual, wisent}.
 
-@node Adding a new grammar mode
+@node Adding a new grammar mode, GNU Free Documentation License, Working with grammars, top
 @chapter Adding a new grammar mode
 
 @menu
@@ -1152,7 +1152,7 @@
 * Querying grammars::           
 @end menu
 
-@node Specialized Implementation
+@node Specialized Implementation, Querying grammars, Adding a new grammar mode, Adding a new grammar mode
 @section Specialized Implementation
 
 Each specialized grammar mode is responsible for implementing the
@@ -1214,7 +1214,7 @@
 
 @end itemize
 
-@node Querying grammars
+@node Querying grammars,  , Specialized Implementation, Adding a new grammar mode
 @section Querying grammars
 
 In order to generate the intermediate Emacs Lisp code needed by your
@@ -1237,7 +1237,7 @@
 * Querying Declarations::       
 @end menu
 
-@node Grammar Tags
+@node Grammar Tags, Querying Declarations, Querying grammars, Querying grammars
 @subsection Grammar Tags
 
 This section describes the available grammar tags.
@@ -1431,7 +1431,7 @@
 @end table
 @end deffn
 
-@node Querying Declarations
+@node Querying Declarations,  , Grammar Tags, Querying grammars
 @subsection Querying Declarations
 
 This section describes the high level @acronym{API} to query grammar
@@ -1524,12 +1524,12 @@
 @*@xref{use-macros Decl}.
 @end defun
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, Adding a new grammar mode, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 60e90ce23315 xemacs-packages/semantic/doc/installation.texi
--- a/xemacs-packages/semantic/doc/installation.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/installation.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -15,7 +15,7 @@
 * Parsing Optimization::
 @end menu
 
-@node Canned Configuration
+@node Canned Configuration, Search Optimization, Installation/Basic Configuration, Installation/Basic Configuration
 @section Canned Configuration
 
 As described briefly in the cedet/INSTALL file, there are several
@@ -113,7 +113,7 @@
 @end deffn
 
 
-@node Search Optimization
+@node Search Optimization, Parsing Optimization, Canned Configuration, Installation/Basic Configuration
 @section Search Optimization
 
 A common use of semantic is for smart completion and tag browsing.
@@ -169,7 +169,7 @@
 future Emacs sessions.
 
 
-@node Parsing Optimization
+@node Parsing Optimization,  , Search Optimization, Installation/Basic Configuration
 @section Parsing Optimization
 
 The semantic parsers generate the tags that form the basis of all the
diff -r 60e90ce23315 xemacs-packages/semantic/doc/lang-support-guide.texi
--- a/xemacs-packages/semantic/doc/lang-support-guide.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/lang-support-guide.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -112,7 +112,7 @@
 * Index::                       
 @end menu
 
-@node Tag Structure
+@node Tag Structure, Language Support Overview, top, top
 @chapter Tag Structure
 @cindex Tag Structure
 
@@ -158,7 +158,7 @@
 To create tags for a functional or object oriented language, you can
 use s series of tag creation functions.  @inforef{Creating Tags, , semantic-appdev}
 
-@node Language Support Overview
+@node Language Support Overview, Writing Lexers, Tag Structure, top
 @chapter Language Support Overview
 @cindex Language Support Overview
 
@@ -192,7 +192,7 @@
 * Application API Structure::   
 @end menu
 
-@node Semantic Overload Mechanism
+@node Semantic Overload Mechanism, Semantic Parser Structure, Language Support Overview, Language Support Overview
 @section Semantic Overload Mechanism
 
 one of @semantic{}'s goals is to provide a framework for supporting a
@@ -325,7 +325,7 @@
 that sourse file.  Overload files advertise that they @i{should} be
 overloaded, and define syntactic sugar to do so.
 
-@node Semantic Parser Structure
+@node Semantic Parser Structure, Application API Structure, Semantic Overload Mechanism, Language Support Overview
 @section Semantic Parser Structure
 
 NOTE: describe the functions that do parsing, and how to overload each.
@@ -384,7 +384,7 @@
 
 @end example
 
-@node Application API Structure
+@node Application API Structure,  , Semantic Parser Structure, Language Support Overview
 @section Application API Structure
 
 NOTE: improve this:
@@ -425,7 +425,7 @@
 * Semantic Analyzer Support::   
 @end menu
 
-@node Semantic Analyzer Support
+@node Semantic Analyzer Support,  , Application API Structure, Application API Structure
 @subsection Semantic Analyzer Support
 
 @ignore
@@ -453,7 +453,7 @@
 list including `clone' and the like.
 @end ignore
 
-@node Writing Lexers
+@node Writing Lexers, Writing Parsers, Language Support Overview, top
 @chapter Writing Lexers
 @cindex Writing Lexers
 
@@ -504,7 +504,7 @@
 * Keyword Properties::          
 @end menu
 
-@node Lexer Overview
+@node Lexer Overview, Lexer Output, Writing Lexers, Writing Lexers
 @section Lexer Overview
 
 @semantic lexer breaks up the content of an Emacs buffer into a stream of
@@ -556,7 +556,7 @@
 @code{forward-sexp}
 are employed.
 
-@node Lexer Output
+@node Lexer Output, Lexer Construction, Lexer Overview, Writing Lexers
 @section Lexer Output
 
 The lexer, @ref{semantic-lex}, scans the content of a buffer and
@@ -670,7 +670,7 @@
 Skipping over matched parenthesis is achieved by simply calling
 the built-in functions @code{forward-list} and @code{forward-sexp}.
 
-@node Lexer Construction
+@node Lexer Construction, Lexer Built In Analyzers, Lexer Output, Writing Lexers
 @section Lexer Construction
 
 While using the default lexer is certainly an option, particularly
@@ -698,7 +698,7 @@
 several built in analyzers, or one of your own construction.  The
 built in analyzers are:
 
-@node Lexer Built In Analyzers
+@node Lexer Built In Analyzers, Lexer Analyzer Construction, Lexer Construction, Writing Lexers
 @section Lexer Built In Analyzers
 
 @defspec semantic-lex-default-action
@@ -820,7 +820,7 @@
 Detect and create a comment token.
 @end defspec
 
-@node Lexer Analyzer Construction
+@node Lexer Analyzer Construction, Keywords, Lexer Built In Analyzers, Writing Lexers
 @section Lexer Analyzer Construction
 
 Each of the previous built in analyzers are constructed using a set
@@ -905,7 +905,7 @@
 a block the parser does not need to know the contents of those braces
 while parsing, and can skip them all together.
 
-@node Keywords
+@node Keywords, Keyword Properties, Lexer Analyzer Construction, Writing Lexers
 @section Keywords
 
 Another important piece of the lexer is the keyword table (see
@@ -945,7 +945,7 @@
 While examining the text in a language buffer, this can provide an easy
 and quick way of storing details about text in the buffer.
 
-@node Keyword Properties
+@node Keyword Properties,  , Keywords, Writing Lexers
 @section Standard Keyword Properties
 
 Keywords in a language can have multiple properties.  These
@@ -980,7 +980,7 @@
 @end table
 
 
-@node Writing Parsers
+@node Writing Parsers, Parsing a language file, Writing Lexers, top
 @chapter Writing Parsers
 @cindex Writing Parsers
 
@@ -1037,7 +1037,7 @@
 * Parser Backend Support::             Lisp needed to support a grammar.
 @end menu
 
-@node External Parsers
+@node External Parsers, Grammar Programming Environment, Writing Parsers, Writing Parsers
 @section External Parsers
 
 The texinfo parser in @file{semantic-texi.el} is an example of an
@@ -1046,7 +1046,7 @@
 
 Note: Finish this.
 
-@node Grammar Programming Environment
+@node Grammar Programming Environment, Parser Backend Support, External Parsers, Writing Parsers
 @section Grammar Programming Environment
 
 Semantic grammar files in @file{.by} or @file{.wy} format have their
@@ -1058,7 +1058,7 @@
 For more information,
 @inforef{top, the Grammar Framework Manual, grammar-fw}.
 
-@node Parsing a language file
+@node Parsing a language file, Debugging, Writing Parsers, top
 @chapter Parsing a language file
 
 The best way to call the parser from programs is via
@@ -1101,7 +1101,7 @@
 stream is requested.
 @end deffn
 
-@node Parser Backend Support
+@node Parser Backend Support,  , Grammar Programming Environment, Writing Parsers
 @section Parser Backend Support
 
 Once you have written a grammar file that has been compiled into
@@ -1122,7 +1122,7 @@
 * Tag Expansion::
 @end menu
 
-@node Example Backend File
+@node Example Backend File, Tag Expansion, Parser Backend Support, Parser Backend Support
 @subsection Example Backend File
 
 Typical structure for this file is:
@@ -1198,7 +1198,7 @@
 ;;; semantic-foo.el ends here
 @end example
 
-@node Tag Expansion
+@node Tag Expansion,  , Example Backend File, Parser Backend Support
 @subsection Tag Expansion
 
 In any language with compound tag types, you will need to implement
@@ -1258,7 +1258,7 @@
 This will cause the custom tag to be replaced by the tags created in
 the :value attribute of the specially constructed tag.
 
-@node Debugging
+@node Debugging, Parser Error Handling, Parsing a language file, top
 @chapter Debugging
 
 Grammars can be tricky things to debug.  There are several types of
@@ -1276,7 +1276,7 @@
 * Semantic 1.4 Doc::            
 @end menu
 
-@node Lexical Debugging
+@node Lexical Debugging, Parser Output tools, Debugging, Debugging
 @section Lexical Debugging
 
 The first major problem you may encounter is with lexical analysis.
@@ -1297,7 +1297,7 @@
 For an example of what the output of the @code{semantic-lex} function
 should return, see @ref{Lexer Output}.
 
-@node Parser Output tools
+@node Parser Output tools, Bovine Parser Debugging, Lexical Debugging, Debugging
 @section Parser Output tools
 
 There are several tools which can be used to see what the parser
@@ -1374,7 +1374,7 @@
 the output buffer.
 @end deffn
 
-@node Bovine Parser Debugging
+@node Bovine Parser Debugging, Wisent Parser Debugging, Parser Output tools, Debugging
 @section Bovine Parser Debugging
 
 The bovine parser is described in @inforef{top, ,bovine}.
@@ -1434,7 +1434,7 @@
 a specific backend implementation.  If someone wants to implement a
 debugger backend for wisent, that would be spiff.
 
-@node Wisent Parser Debugging
+@node Wisent Parser Debugging, Overlay Debugging, Bovine Parser Debugging, Debugging
 @section Wisent Parser Debugging
 
 Wisent does not implement a backend for @code{semantic-debug}, it
@@ -1443,7 +1443,7 @@
 
 @inforef{Grammar Debugging, , wisent}
 
-@node Overlay Debugging
+@node Overlay Debugging, Incremental Parser Debugging, Wisent Parser Debugging, Debugging
 @section Overlay Debugging
 
 Once a buffer has been parsed into a tag table, the next most
@@ -1478,7 +1478,7 @@
 saving or restoring tags from semanticdb, this is the most likely
 cause of the problem.
 
-@node Incremental Parser Debugging
+@node Incremental Parser Debugging, Debugging Analysis, Overlay Debugging, Debugging
 @section Incremental Parser Debugging
 
 The incremental parser is a highly complex engine for quickly
@@ -1544,7 +1544,7 @@
 If @code{nil}, errors are still displayed, but informative messages are not.
 @end defvar
 
-@node Debugging Analysis
+@node Debugging Analysis, Semantic 1.4 Doc, Incremental Parser Debugging, Debugging
 @section Debugging Analysis
 
 The semantic analyzer is a at the top of the food chain when it comes
@@ -1565,7 +1565,7 @@
 @ref{Semantic Analyzer Support}
 @inforef{Analyzer, , semantic-user}
 
-@node Semantic 1.4 Doc
+@node Semantic 1.4 Doc,  , Debugging Analysis, Debugging
 @section Semantic 1.4 Doc
 
 @i{
@@ -1614,18 +1614,18 @@
 NOTE: Semantic 2.0 has more debugging commands.  Use:
 @kbd{C-h m semantic-debug-mode} to view.
 
-@node Parser Error Handling
+@node Parser Error Handling, GNU Free Documentation License, Debugging, top
 @chapter Parser Error Handling
 @cindex Parser Error Handling
 
 NOTE: Write Me
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, Parser Error Handling, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 60e90ce23315 xemacs-packages/semantic/doc/minor-modes.texi
--- a/xemacs-packages/semantic/doc/minor-modes.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/minor-modes.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -15,7 +15,7 @@
 * Development Modes::   Modes for assisting in developing/debugging Semantic.
 @end menu
 
-@node Code Helpers
+@node Code Helpers, Development Modes, Minor Modes, Minor Modes
 @section Code Helpers
 
 Code Helpers are minor modes that augment basic Emacs behavior in ways
@@ -29,7 +29,7 @@
 
 Senator is another mode which can assist in programming @ref{senator}.
 
-@node Development Modes
+@node Development Modes,  , Code Helpers, Minor Modes
 @section Development Modes
 
 @menu
@@ -38,7 +38,7 @@
 * Unmatched Syntax Highlighting::
 @end menu
 
-@node Sticky Function Mode
+@node Sticky Function Mode, Tag Decoration Mode, Code Helpers, Code Helpers
 @subsection Sticky Function Headers
 
 @deffn Command semantic-stickyfunc-mode &optional arg
@@ -59,7 +59,7 @@
 List of tag classes which sticky func will display in the header line.
 @end defvar
 
-@node Tag Decoration Mode
+@node Tag Decoration Mode, MRU Bookmarks Mode, Sticky Function Mode, Code Helpers
 @subsection Tag Decoration Mode
 @cindex semantic-decoration-mode
 
@@ -117,7 +117,7 @@
 decoration @var{api} found in this library.
 @end defun
 
-@node MRU Bookmarks Mode
+@node MRU Bookmarks Mode,  , Tag Decoration Mode, Code Helpers
 @subsection MRU Bookmarks Mode
 @cindex semantic-mru-bookmark-mode
 
@@ -150,7 +150,7 @@
 
 
 
-@node Highlight Edits Mode
+@node Highlight Edits Mode, Parser State, Development Modes, Development Modes
 @subsection Highlight Edits Mode
 
 Highlight edits mode is useful mostly for debugging the incremental
@@ -172,7 +172,7 @@
 Face used to show dirty tokens in @code{semantic-highlight-edits-mode}.
 @end deffn
 
-@node Parser State
+@node Parser State, Unmatched Syntax Highlighting, Highlight Edits Mode, Development Modes
 @subsection Parser State
 
 @deffn Command semantic-show-parser-state-mode &optional arg
@@ -198,7 +198,7 @@
 minor mode is enabled.
 @end deffn
 
-@node Unmatched Syntax Highlighting
+@node Unmatched Syntax Highlighting,  , Parser State, Development Modes
 @subsection Unmatched Syntax Highlighting
 
 @deffn Command semantic-show-unmatched-syntax-mode &optional arg
diff -r 60e90ce23315 xemacs-packages/semantic/doc/overview.texi
--- a/xemacs-packages/semantic/doc/overview.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/overview.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -182,7 +182,7 @@
 * Semantic Components::         
 @end menu
 
-@node Semantic Components
+@node Semantic Components,  , Overview, Overview
 @section Semantic Components
 
 This chapter gives an overview of major components of @semantic{} and
diff -r 60e90ce23315 xemacs-packages/semantic/doc/semantic.texi
--- a/xemacs-packages/semantic/doc/semantic.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/semantic.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -109,17 +109,17 @@
 * Index::                       
 @end menu
 
-@node Overview
+@node Overview, Installation/Basic Configuration, top, top
 @chapter Overview
 
 @include overview.texi
 
-@node Installation/Basic Configuration
+@node Installation/Basic Configuration, Semantic manuals, Overview, top
 @chapter Installation and Basic Configuration
 
 @include installation.texi
 
-@node Semantic manuals
+@node Semantic manuals, Semantic Internals, Installation/Basic Configuration, top
 @chapter Semantic manuals
 
 To know how to use applications enabled by @semantic{},
@@ -142,22 +142,22 @@
 For details on the Bison-like @acronym{LALR} parser,
 @inforef{top, the Wisent Parser Manual, wisent}.
 
-@node Semantic Internals
+@node Semantic Internals, Glossary, Semantic manuals, top
 @chapter Semantic Internals
 
 @include internals.texi
 
-@node Glossary
+@node Glossary, GNU Free Documentation License, Semantic Internals, top
 @appendix Glossary
 
 @include glossary.texi
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, Glossary, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 60e90ce23315 xemacs-packages/semantic/doc/tags.texi
--- a/xemacs-packages/semantic/doc/tags.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/tags.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -50,7 +50,7 @@
 * Tag Internals::
 @end menu
 
-@node Tag Basics
+@node Tag Basics, Tag Query, Semantic Tags, Semantic Tags
 @section Tag Basics
 @cindex Tag Basics
 
@@ -193,7 +193,7 @@
 Finally @ref{Tag Overlay,Tag Overlay} lists functions dealing with
 the @var{overlay} component.
 
-@node Tag Query
+@node Tag Query, Tag Overlay, Tag Basics, Semantic Tags
 @section Tag Query
 @cindex Tag Query
 
@@ -409,7 +409,7 @@
 
 @subsection Location
 
-@node Tag Overlay
+@node Tag Overlay, Tag Hooks, Tag Query, Semantic Tags
 @section Tag Overlay
 @cindex Tag Overlay
 
@@ -492,7 +492,7 @@
 to any components beloning to an anonymous type.
 @end defun
 
-@node Tag Hooks
+@node Tag Hooks, Misc Tag Functions, Tag Overlay, Semantic Tags
 @section Tag Hooks
 @cindex Tag Hooks
 
@@ -551,7 +551,7 @@
 have direct buffer links.
 @end table
 
-@node Misc Tag Functions
+@node Misc Tag Functions, Tag Internals, Tag Hooks, Semantic Tags
 @section Misc Tag Functions
 @cindex Misc Tag Functions
 
@@ -574,7 +574,7 @@
 @obsolete{semantic-with-buffer-narrowed-to-token,semantic-with-buffer-narrowed-to-tag}
 @end defun
 
-@node Tag Internals
+@node Tag Internals,  , Misc Tag Functions, Semantic Tags
 @section Tag Internals
 @cindex Tag Internals
 
@@ -586,7 +586,7 @@
 * Misc Tag Internals::
 @end menu
 
-@node Tag Attributes Internals
+@node Tag Attributes Internals, Tag Properties Internals, Tag Internals, Tag Internals
 @subsection Tag Attributes Internals
 
 @ignore
@@ -649,7 +649,7 @@
 Return @var{tag}.
 @end defun
 
-@node Tag Properties Internals
+@node Tag Properties Internals, Tag Overlay Internals, Tag Attributes Internals, Tag Internals
 @subsection Tag Properties Internals
 
 @ignore
@@ -717,7 +717,7 @@
 @obsolete{semantic-tag-make-assoc-list,semantic-tag-make-plist}
 @end defun
 
-@node Tag Overlay Internals
+@node Tag Overlay Internals, Creating Tags, Tag Properties Internals, Tag Internals
 @subsection Tag Overlay Internals
 
 Many of the overlay related functions were already documented in
@@ -734,7 +734,7 @@
 In @var{tag}, set the @var{start} and @var{end} location of data it describes.
 @end defun
 
-@node Creating Tags
+@node Creating Tags, Misc Tag Internals, Tag Overlay Internals, Tag Internals
 @subsection Creating Tags
 
 @defun semantic-tag name class &rest attributes
@@ -837,7 +837,7 @@
 This runs the tag hook `unlink-copy-hook`.
 @end defun
 
-@node Misc Tag Internals
+@node Misc Tag Internals,  , Creating Tags, Tag Internals
 @subsection Misc Tag Internals
 
 @defun semantic--tag-run-hooks tag hook &rest args
diff -r 60e90ce23315 xemacs-packages/semantic/doc/user-guide.texi
--- a/xemacs-packages/semantic/doc/user-guide.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/user-guide.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -107,7 +107,7 @@
 * Index::                       
 @end menu
 
-@node speedbar
+@node speedbar, ECB, top, top
 @chapter speedbar
 @cindex speedbar
 
@@ -135,7 +135,7 @@
 Two additional speedbar modes are described in @ref{Speedbar Analysis}, and
 @ref{Class Browser}.
 
-@node ECB
+@node ECB, imenu, speedbar, top
 @chapter ECB
 @cindex ECB
 
@@ -148,7 +148,7 @@
 @end example
 
 
-@node imenu
+@node imenu, senator, ECB, top
 @chapter imenu
 @cindex imenu
 
@@ -226,7 +226,7 @@
 @code{section} has interesting children.
 @end defvar
 
-@node senator
+@node senator, Analyzer, imenu, top
 @chapter senator
 @cindex senator
 
@@ -435,7 +435,7 @@
 functions and variables, and to step at start and end of functions
 only.
 
-@node Analyzer
+@node Analyzer, Smart Completion, senator, top
 @chapter Analyzer
 @cindex Analyzer
 
@@ -483,7 +483,7 @@
 * Speedbar Analysis::      Speedbar provided completion
 @end menu
 
-@node Smart Completion
+@node Smart Completion, Smart Idle Completion, Analyzer, Analyzer
 @section Smart Completion
 
 The file @file{semantic-ia.el} contains two commands for performing
@@ -519,7 +519,7 @@
 Display the code-level documentation for the symbol at @var{point}.
 @end deffn
 
-@node Smart Idle Completion
+@node Smart Idle Completion, Speedbar Analysis, Smart Completion, Analyzer
 @section Smart Idle Completion
 
 You can get smart completions or summary information to automatically
@@ -534,7 +534,7 @@
 Completions are provided with @code{semantic-idle-completions-mode}.
 See @ref{Idle Completions Mode}.
 
-@node Speedbar Analysis
+@node Speedbar Analysis, Class Browser, Smart Idle Completion, Analyzer
 @section Speedbar Analysis
 
 The Analyzer output can be used through a speedbar interface.
@@ -566,7 +566,7 @@
 You can also enter speedbar analyzer mode by selecting ``Analyze''
 from the ``Display'' menu item on speedbar's menu.
 
-@node Class Browser
+@node Class Browser, Document, Speedbar Analysis, top
 @chapter Class Browser
 @cindex Class Browser
 
@@ -599,7 +599,7 @@
 interactions.
 @end deffn
 
-@node Document
+@node Document, Charts, Class Browser, top
 @chapter Document
 @cindex Document
 
@@ -681,7 +681,7 @@
 If @var{TAG} is @code{nil}, it is derived from the deffn under @var{POINT}.
 @end deffn
 
-@node Charts
+@node Charts, Idle Scheduler, Document, top
 @chapter Charts
 @cindex Charts
 
@@ -710,7 +710,7 @@
 @var{TAGTABLE} is passedto @dfn{semantic-something-to-tag-table}.
 @end deffn
 
-@node Idle Scheduler
+@node Idle Scheduler, Minor Modes, Charts, top
 @chapter Idle Scheduler
 @cindex Idle Scheduler
 
@@ -758,7 +758,7 @@
 * Idle Completions Mode::
 @end menu
 
-@node Reparsing Options
+@node Reparsing Options, Idle Summary Mode, Idle Scheduler, Idle Scheduler
 @section Reparsing Options
 
 The Idle Scheduler will automatically reparse all buffers that need
@@ -804,7 +804,7 @@
 This hook is not protected from lexical errors.
 @end defvar
 
-@node Idle Summary Mode
+@node Idle Summary Mode, Idle Completions Mode, Reparsing Options, Idle Scheduler
 @section Idle Summary Mode
 
 A summary describes a tag in a useful way.  These can be displayed
@@ -830,7 +830,7 @@
 Some useful functions are found in @code{semantic-format-tag-functions}.
 @end deffn
 
-@node Idle Completions Mode
+@node Idle Completions Mode,  , Idle Summary Mode, Idle Scheduler
 @section Idle Completions Mode
 
 The definition of completion lists is described in the Analyzer
@@ -855,13 +855,13 @@
 This mode operates by using the command
 @code{semantic-complete-inline-analyzer}.
 
-@node Minor Modes
+@node Minor Modes, semanticdb, Idle Scheduler, top
 @chapter Minor Modes
 @cindex Minor Modes
 
 @include minor-modes.texi
 
-@node semanticdb
+@node semanticdb, Speed Debug, Minor Modes, top
 @chapter Semantic Database
 @cindex semanticdb
 
@@ -926,7 +926,7 @@
 * Create System Databases::
 @end menu
 
-@node Semanticdb Tag Storage
+@node Semanticdb Tag Storage, Semanticdb Search Configuration, semanticdb, semanticdb
 @section Semanticdb Tag Storage
 
 Once you have tables of tags parsed from your files, the default
@@ -978,7 +978,7 @@
 the database recently written.
 @end deffn
 
-@node Semanticdb Search Configuration
+@node Semanticdb Search Configuration, Semanticdb System Backends, Semanticdb Tag Storage, semanticdb
 @section Semanticdb Search Configuration
 
   When different tools such as smart completion or tag jumping needs
@@ -1035,7 +1035,7 @@
 * Semanticdb search debugging commands::
 @end menu
 
-@node Semanticdb Roots
+@node Semanticdb Roots, Include paths, Semanticdb Search Configuration, Semanticdb Search Configuration
 @subsection SemanticDB project roots
 
 Project roots specify where different code projects start.  Searching
@@ -1062,7 +1062,7 @@
 by project management programs like @var{ede} or @var{jde}.
 @end defvar
 
-@node Include paths
+@node Include paths, Search Throttle, Semanticdb Roots, Semanticdb Search Configuration
 @subsection Include Paths
 
 You can add and remove system include paths based on major mode using
@@ -1082,7 +1082,7 @@
 @code{semantic-dependency-system-include-path}.
 @end deffn
 
-@node Search Throttle
+@node Search Throttle, Semanticdb search debugging commands, Include paths, Semanticdb Search Configuration
 @subsection SemanticDB Search Throttle
 
 The semanticdb find throttle is a configuration variable that may
@@ -1136,7 +1136,7 @@
 
 
 
-@node Semanticdb search debugging commands
+@node Semanticdb search debugging commands,  , Search Throttle, Semanticdb Search Configuration
 @subsection Semanticdb search debugging commands
 
 You can use @kbd{M-x semanticdb-dump-all-table-summary RET} to see the
@@ -1164,7 +1164,7 @@
 Display the results as a debug list.
 @end deffn
 
-@node Semanticdb System Backends
+@node Semanticdb System Backends, Changing Backends, Semanticdb Search Configuration, semanticdb
 @section Semanticdb System Backends
 
 @defvar semanticdb-project-system-databases
@@ -1188,7 +1188,7 @@
 @end defvar
 
 
-@node Changing Backends
+@node Changing Backends, Script Generated Cache Files, Semanticdb System Backends, semanticdb
 @section Changing Backends
 
 If you want to use some other form of backend, you can use this
@@ -1203,7 +1203,7 @@
 mechanism.
 @end defvar
 
-@node Script Generated Cache Files
+@node Script Generated Cache Files, Create System Databases, Changing Backends, semanticdb
 @section Script Generated Cache Files
 
 You can create new semantic databases with the @file{semanticdb.sh}
@@ -1214,7 +1214,7 @@
 $ semanticdb.sh *.el
 @end example
 
-@node Create System Databases
+@node Create System Databases,  , Script Generated Cache Files, semanticdb
 @section Create System Databases
 
 If your supported langauge stores the system libraries in readilly
@@ -1246,7 +1246,7 @@
 see the ones available.  The name of the language should be part of
 the class name.
 
-@node Speed Debug
+@node Speed Debug, Customizing, semanticdb, top
 @chapter Debugging Speed Problems
 
 If aspects of semantic cause your Emacs to slow down or block
@@ -1307,7 +1307,7 @@
 @code{semanticdb-find-default-throttle}. You can read more
 in @inforef{ DB Search Paths, , semantic-appdev.info}.
 
-@node Customizing
+@node Customizing, GNU Free Documentation License, Speed Debug, top
 @chapter Customizing
 @cindex customizing
 
@@ -1315,12 +1315,12 @@
 * M-x customize
 * Low level hooks.
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, Customizing, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 60e90ce23315 xemacs-packages/semantic/doc/wisent.texi
--- a/xemacs-packages/semantic/doc/wisent.texi	Sat Sep 03 14:51:07 2011 +0200
+++ b/xemacs-packages/semantic/doc/wisent.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -111,7 +111,7 @@
 * Index::                       
 @end menu
 
-@node Wisent Overview
+@node Wisent Overview, Wisent Grammar, top, top
 @chapter Wisent Overview
 
 @dfn{Wisent} (the European Bison) is an implementation in Emacs Lisp
@@ -179,7 +179,7 @@
 buffer.  @semantic{} heavily depends on the availability of this feature.
 @end itemize
 
-@node Wisent Grammar
+@node Wisent Grammar, Wisent Parsing, Wisent Overview, top
 @chapter Wisent Grammar
 
 @cindex context-free grammar
@@ -625,7 +625,7 @@
 @end table
 @end defun
 
-@node Conflicts, , Compiling a grammar, Wisent Grammar
+@node Conflicts,  , Compiling a grammar, Wisent Grammar
 @comment  node-name,  next,  previous,  up
 @section Conflicts
 
@@ -675,7 +675,7 @@
 * Understanding the automaton::  
 @end menu
 
-@node Grammar Debugging
+@node Grammar Debugging, Understanding the automaton, Conflicts, Conflicts
 @subsection Grammar debugging
 
 @cindex grammar debugging
@@ -726,7 +726,7 @@
 @end defvar
 @end table
 
-@node Understanding the automaton
+@node Understanding the automaton,  , Grammar Debugging, Conflicts
 @subsection Understanding the automaton
 
 @cindex understanding the automaton
@@ -1100,7 +1100,7 @@
 The end of input is shifted @samp{$EOI shift,} and the parser exits
 successfully (@samp{go to state 12}, that terminates).
 
-@node Wisent Parsing
+@node Wisent Parsing, Wisent Semantic, Wisent Grammar, top
 @chapter Wisent Parsing
 
 @cindex bottom-up parser
@@ -1190,7 +1190,7 @@
 * Debugging actions::           
 @end menu
 
-@node Writing a lexer
+@node Writing a lexer, Actions goodies, Wisent Parsing, Wisent Parsing
 @section What the parser must receive
 
 It is important to understand that the parser does not parse
@@ -1242,7 +1242,7 @@
 To call the lexer in a semantic action use the function
 @code{wisent-lexer}.  See also @ref{Actions goodies}.
 
-@node Actions goodies
+@node Actions goodies, Report errors, Writing a lexer, Wisent Parsing
 @section Variables and macros useful in grammar actions.
 
 @vindex wisent-input
@@ -1266,7 +1266,7 @@
 available.
 @end defun
 
-@node Report errors
+@node Report errors, Error recovery, Actions goodies, Wisent Parsing
 @section The error reporting function
 
 @cindex error reporting
@@ -1320,7 +1320,7 @@
 semantic action entered by error recovery (@pxref{Error recovery}) the
 value of the variable @code{wisent-recovering} is non-@code{nil}.
 
-@node Error recovery
+@node Error recovery, Debugging actions, Report errors, Wisent Parsing
 @section Error recovery
 
 @cindex error recovery
@@ -1507,7 +1507,7 @@
 @end example
 @end defun
 
-@node Debugging actions
+@node Debugging actions,  , Error recovery, Wisent Parsing
 @section Debugging semantic actions
 
 @cindex semantic action symbols
@@ -1572,7 +1572,7 @@
 @var{function} must be a semantic action symbol that exists in @var{automaton}.
 @end deffn
 
-@node Wisent Semantic
+@node Wisent Semantic, GNU Free Documentation License, Wisent Parsing, top
 @chapter How to use Wisent with Semantic
 
 @cindex tags
@@ -1597,7 +1597,7 @@
 * Wisent Lex::                  
 @end menu
 
-@node Grammar styles
+@node Grammar styles, Wisent Lex, Wisent Semantic, Wisent Semantic
 @section Grammar styles
 
 @cindex grammar styles
@@ -1699,7 +1699,7 @@
 for example) or unexpected input data.  Those raw tags will be
 automatically expanded by the iterative back-end parser.
 
-@node Bison style
+@node Bison style, Mixed style, Iterative style, Grammar styles
 @subsection Bison style
 
 @cindex grammar bison style
@@ -1748,7 +1748,7 @@
 parameter.  See also @ref{Start nonterminals}, for incremental
 re-parse considerations.
 
-@node Mixed style
+@node Mixed style, Start nonterminals, Bison style, Grammar styles
 @subsection Mixed style
 
 @cindex grammar mixed style
@@ -1855,7 +1855,7 @@
 In some extreme cases, it can also be convenient to extend the lexer,
 to deliver new lexical tokens, to simplify the grammar.
 
-@node Start nonterminals
+@node Start nonterminals, Useful functions, Mixed style, Grammar styles
 @subsection Start nonterminals
 
 @cindex start nonterminals
@@ -1956,7 +1956,7 @@
 @strong{Every nonterminal having any rule that calls @code{EXPANDTAG}
 in a semantic action, should be declared as a start symbol!}
 
-@node Useful functions
+@node Useful functions,  , Start nonterminals, Grammar styles
 @subsection Useful functions
 
 Here is a description of some predefined functions it might be useful
@@ -1971,7 +1971,7 @@
 @ref{Error recovery}, for an example of use.
 @end defun
 
-@node Wisent Lex
+@node Wisent Lex,  , Grammar styles, Wisent Semantic
 @section The Wisent Lex lexer
 
 @findex semantic-lex
@@ -2033,12 +2033,12 @@
 @var{value} is the input @code{buffer-substring} from @var{start} to
 @var{end}.
 
-@node GNU Free Documentation License
+@node GNU Free Documentation License, Index, Wisent Semantic, top
 @appendix GNU Free Documentation License
 
 @include fdl.texi
 
-@node Index
+@node Index,  , GNU Free Documentation License, top
 @unnumbered Index
 @printindex cp
 
diff -r 6414503a74c3 xemacs-packages/speedbar/speedbar.texi
--- a/xemacs-packages/speedbar/speedbar.texi	Fri Jan 13 12:58:28 2012 +0100
+++ b/xemacs-packages/speedbar/speedbar.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -254,7 +254,7 @@
 to read these textual elements will make it easier to navigate by
 identifying the types of data available.
 
-@subsubsection Groups
+@subsection Groups
 @cindex groups
 
 Groups summarize information in a single line, and provide a high level
@@ -290,14 +290,14 @@
 Click the @samp{-} button to contract the group, or hide the contents
 currently displayed.
 
-@subsubsection Tags
+@subsection Tags
 @cindex tags
 
 Tags are the leaf nodes of the tree system.  Tags are generally prefixed
 with a simple character, such as @samp{>}.  Tags can only be jumped to using
 @kbd{RET} or @kbd{e}.
 
-@subsubsection Boolean Flags
+@subsection Boolean Flags
 
 Sometimes a group or tag is given a boolean flag.  These flags appear as
 extra text characters at the end of the line.  File mode uses boolean
@@ -308,7 +308,7 @@
 @c Note to self, update these to sub-nodes which are more relevant.
 @ref{File Mode}, and @ref{Version Control}.
 
-@subsubsection Unadorned Text
+@subsection Unadorned Text
 
 Unadorned text generally starts in column 0, without any special symbols
 prefixing them.  In Buffers mode different buffer groups are prefixed
@@ -317,7 +317,7 @@
 
 Unadorned text will generally be colorless, and not clickable.
 
-@subsubsection Color Cues
+@subsection Color Cues
 
 Each type of Group, item indicator, and label is given a different
 color.  The colors chosen are dependent on whether the background color
diff -r b494b72f71b5 xemacs-packages/viper/viper.texi
--- a/xemacs-packages/viper/viper.texi	Sat Sep 03 14:52:41 2011 +0200
+++ b/xemacs-packages/viper/viper.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -3476,7 +3476,7 @@
 Exchange point and mark and go to the first CHAR on line.
 @item '<a-z>
 Go to specified Viper mark.
-@item
+@item `<a-z>
 Go to specified Viper mark and go to the first CHAR on line.
 @end table
 @kindex @kbd{m<a-z>}
diff -r d1d1893d29ed xemacs-packages/w3/texi/w3.txi
--- a/xemacs-packages/w3/texi/w3.txi	Tue May 15 12:43:25 2012 +0200
+++ b/xemacs-packages/w3/texi/w3.txi	Wed Jun 19 10:57:06 2013 -0600
@@ -1407,9 +1407,11 @@
 @vindex w3-user-fonts-take-precedence
 Emacs/W3 will ignore attempts by stylesheets or font tags to change
 certain fonts if this is non-@code{nil}.
+@end table
 
 @subsection Asynchronous behaviour
 
+@table @code
 @item url-be-asynchronous
 @vindex url-be-asynchronous
 If this is non-@code{nil} then document retrievals over @sc{http} will
@@ -4276,7 +4278,8 @@
 
 @item
 Custom library merging
-@bullet{Add custom support for MM}
+@item
+Add custom support for MM
 @item
 Hotlist handling
 
diff -r fd7cd3bdb22b xemacs-packages/x-symbol/man/x-symbol.texi
--- a/xemacs-packages/x-symbol/man/x-symbol.texi	Sat Sep 03 14:53:39 2011 +0200
+++ b/xemacs-packages/x-symbol/man/x-symbol.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -3730,7 +3730,7 @@
 controlled by:
 
 @vtable @code
-@itemx x-symbol-tex-font-lock-limit-regexp
+@item x-symbol-tex-font-lock-limit-regexp
 The superscript command @code{^} and the subscript command @code{_} is
 recognized.  The argument can be provided with and without braces.  The
 argument should not span more than one line and should not contain a
@@ -4493,7 +4493,7 @@
 language @code{texi} by changing:
 
 @vtable @code
-@itemx x-symbol-texi-user-table
+@item x-symbol-texi-user-table
 Extra entries for the conversion.
 @end vtable
 
@@ -6254,7 +6254,7 @@
 would be to delete the space which other people won't like.
 @end itemize
 
-For an exact description, @xref{TeX Macro Conversion} for an exact description.
+For an exact description, @xref{TeX Macro Conversion}.
 
 
 @node FAQ 8bit Chars, FAQ Hyphen, FAQ Additional Spaces, FAQ
diff -r 8de2c7880e03 xemacs-packages/xslt-process/doc/xslt-process.texi
--- a/xemacs-packages/xslt-process/doc/xslt-process.texi	Sat Sep 03 14:54:14 2011 +0200
+++ b/xemacs-packages/xslt-process/doc/xslt-process.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -35,7 +35,8 @@
 @page
 @vskip 0pt plus 1filll
 Copyright @copyright{} 2000, 2001 Ovidiu Predescu.
-@par All rights reserved.
+
+All rights reserved.
 
 @sp 1
 
diff -r 611279a47da1 xemacs-packages/xwem/man/xwem-version.texi
--- a/xemacs-packages/xwem/man/xwem-version.texi	Sat Sep 03 14:54:29 2011 +0200
+++ b/xemacs-packages/xwem/man/xwem-version.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -1,1 +1,1 @@
-@set VERSION lg@@xwem.org--2004/xwem--main--2.0--version-0
\ No newline at end of file
+@set VERSION lg@@xwem.org--2004/xwem--main--2.0--version-0
diff -r 20461a6d93a0 xemacs-packages/zenirc/doc/zenirc.texi
--- a/xemacs-packages/zenirc/doc/zenirc.texi	Sat Sep 03 14:54:35 2011 +0200
+++ b/xemacs-packages/zenirc/doc/zenirc.texi	Wed Jun 19 10:57:06 2013 -0600
@@ -1,5 +1,7 @@
+@tex
 \def\line{\hbox to\hsize}
 \def\centerline#1{\line{\hss#1\hss}}
+@end tex
 \input psfig
 \input texinfo   @c -*-texinfo-*-
 @c ----------------------------------------------------------------------
